<?php
/**
 * @version $Id: listcat.php 1890 2010-02-04 23:24:48Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/
// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

global $kunena_icons;
$this->displayAnnouncement ();
?>
<?php if (JDocumentHTML::countModules ( 'kunena_announcement' )) : ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon annbox">
						<dt>
							<span class="ktitle kl"><?php echo JText::_('COM_KUNENA_ANN_ANNOUNCEMENTS'); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="announcement_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="announcement_tbody" class="topiclist forums">
				<li class="row">
					<dl class="icon">
						<dt></dt>
						<dd class="first tk-banner">
							<?php
								CKunenaTools::showModulePosition ( 'kunena_announcement' );
							?>
						</dd>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>
<?php
if (count ( $this->categories [0] ) > 0) {
	$this->displayCategories ();
} else {
	$this->displayInfoMessage ();
}
?>
<div class="forumlist tk-cat-clear">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon">
					<dt>
					</dt>
						<dd class="markread">
							<?php if ($this->my->id != 0) { ?>
							<form action="<?php echo KUNENA_LIVEURLREL; ?>" name="markAllForumsRead" method="post">
								<input type="hidden" name="markaction" value="allread" />
								<input type="submit" class="kbutton button ks" value="<?php echo JText::_('COM_KUNENA_GEN_MARK_ALL_FORUMS_READ'); ?>" />
								<?php echo JHTML::_( 'form.token' ); ?>
							</form>
							<?php } ?>
						</dd>
						<dd class="forumjump">
							<?php $this->displayForumJump (); ?>
						</dd>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php
	$this->displayWhoIsOnline ();
	$this->displayStats ();
?>
