<?php
/**
 * @version $Id: history.php 2241 2010-04-12 15:22:44Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2009 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

$k = 0;
?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon history">
						<dt>
							<a class="ktitle kl"><b><?php echo JText::_ ( 'COM_KUNENA_POST_TOPIC_HISTORY' )?>:&nbsp; </b><?php echo $this->escape($this->subject) ?></a>
						</dt>
						<dd>
							<?php echo JText::_ ( 'COM_KUNENA_POST_TOPIC_HISTORY_MAX' ) . ' ' . $this->config->historylimit . ' ' . JText::_ ( 'COM_KUNENA_POST_TOPIC_HISTORY_LAST' )?>
						</dd>
					</dl>

				</li>
			</ul>
			<ul id="frontstats_tbody" class="topiclist forums">
				<li class="row-history">
					<dl class="icon history">
						<dt>
						</dt>
						<dd class="windows">
						<?php foreach ( $this->messages as $mes ):?>
							<div class="post">
								<div class="inner">
									<span class=""><span></span></span>
										<dl id="profilebox-post" class="postprofile-left">
											<dt>
												<span class="author"><?php echo $this->escape( $mes->name )?></span>
													<?php
														$profile = KunenaFactory::getUser((int)$mes->userid);
														$useravatar = $profile->getAvatarLink('','post');
														if ($useravatar) :
													?>
												<span class="kavatar">
													<?php echo CKunenaLink::GetProfileLink ( intval($mes->userid), $useravatar ); ?>
												</span>
												<?php endif; ?>
											</dt>
										</dl>
										<div class="postbody">
											<div class="postbackground-left">
												<h3><?php echo $this->escape($mes->subject); ?>    <span>#<?php echo intval($mes->id); ?></span></h3>
												<span class="<?php //echo $this->escape( $msgtitle); ?>"><?php echo CKunenaTimeformat::showDate($mes->time, 'config_post_dateformat'); ?></span>
											</div>
											<div id="<?php echo $mes->id; ?>" class="content">
												<?php echo KunenaParser::parseBBCode( $mes->message )?>
											</div>
											<?php if ( !empty($this->attachmentslist[$mes->id]) ) $this->displayAttachments($this->attachmentslist[$mes->id]); ?>
										</div>
									<span class=""><span></span></span>
								</div>
							</div>
						<?php endforeach; ?>
						</dd>
					</dl>
				</li>
			</ul><div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>