<?php
/**
 * @version $Id: login.php 1890 2010-02-04 23:24:48Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2009 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

require_once (KUNENA_PATH_LIB . DS . 'kunena.login.php');
$this->config = & CKunenaConfig::getInstance ();
$type = CKunenaLogin::getType ();
$return = CKunenaLogin::getReturnURL ( $type );
$login = CKunenaLogin::getloginFields();
?>
<?php if ($login) : ?>
<div class="forumlist tk-login">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon login">
						<dt>
							<a class="ktitle kl"><?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGIN'); ?></a>
						</dt>
					</dl>
				</li>
			</ul>
			<form action="index.php" method="post" name="login" id="form-login">
			<ul class="topiclist forums tk-login">
				<li class="row">
					<dl class="icon">
						<dt>
							<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>
						</dt>
						<dd>
							<input type="text" name="<?php echo $login['field_username']; ?>" class="inputbox ks" alt="username" size="40" /> &nbsp;<?php echo CKunenaLogin::getLostUserLink ();?>
						</dd>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums tk-login">
				<li class="row">
					<dl class="icon">
						<dt>
							<?php echo JText::_('COM_KUNENA_PASS'); ?>
						</dt>
						<dd>
							<input type="password" name="<?php echo $login['field_password']; ?>" class="inputbox ks" size="40" alt="password" value=""/> &nbsp;<?php echo CKunenaLogin::getLostPasswordLink (); ?>
						</dd>
					</dl>
				</li>
			</ul>
			<?php if (JPluginHelper::isEnabled ( 'system', 'remember' )) : ?>
			<ul class="topiclist forums tk-login">
				<li class="row">
					<dl class="icon">
						<dt>
							&nbsp;
						</dt>
						<dd>
							<input type="checkbox" name="<?php echo $login['field_remember']; ?>" value="yes" alt="Remember Me" /><span><?php echo JText::_('COM_KUNENA_PROFILEBOX_REMEMBER_ME'); ?></span>
						</dd>
					</dl>
				</li>
			</ul>
			<?php endif; ?>
			<ul class="topiclist forums tk-login">
				<li class="row">
					<dl class="icon">
						<dt>
							&nbsp;
						</dt>
						<dd>
							<input type="submit" name="Submit" class="kbutton" value="<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGIN'); ?>" />
							<input type="hidden" name="option" value="<?php echo $login['option']; ?>" />
							<input type="hidden" name="task" value="<?php echo $login['task']; ?>" />
							<input type="hidden" name="<?php echo $login['field_return']; ?>" value="<?php echo $return; ?>" />
							<?php echo JHTML::_( 'form.token' ); ?>
						</dd>
					</dl>
				</li>
			</ul>
			</form>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>
<?php
$registration = CKunenaLogin::getRegisterLink ();
if ($registration) :
?>
<div class="forumlist tk-register">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon register">
						<dt>
							<a class="ktitle kl"><?php echo JText::_('COM_KUNENA_PROFILEBOX_REGISTER'); ?></a>
						</dt>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums tk-register">
				<li class="row">
					<dl class="icon">
						<dt>
						<?php
						$usersConfig = &JComponentHelper::getParams ( 'com_users' );
						if ($usersConfig->get ( 'allowUserRegistration' )) {
						echo JText::_('COM_KUNENA_LOGIN_MESSAGE');
						} else {
						echo JText::_('COM_KUNENA_REG_NOTALLOWED'); }
						?>
						<span class="tk-ruleshelp-link">
							<span class="kprofilebox_link kbutton">
								<?php echo CKunenaLink::GetRulesLink( JText::_('COM_KUNENA_FORUM_RULES') ); ?>
							</span>
							 &nbsp;&nbsp;&nbsp;&nbsp;
							<span class="kprofilebox_link kbutton">
								<?php echo CKunenaLink::GetHelpLink( JText::_('COM_KUNENA_FORUM_HELP') ); ?>
							</span>
						</span>
							<a class="buttonuser">
								<span class="newtopic">
									<span>
										<?php echo $registration; ?>
									</span>
								</span>
							</a>
						</dt>
					</dl>
				</li>
			</ul><div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>