<?php
/**
 * @version $Id: login.php 2979 2010-07-10 14:03:27Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();
require_once (KUNENA_PATH_LIB . DS . 'kunena.login.php');
$this->user = JFactory::getUser();
$this->config = KunenaFactory::getConfig ();
$type = CKunenaLogin::getType ();
$return = CKunenaLogin::getReturnURL ( $type );
$avatar = CKunenaLogin::getMyAvatar();
$login = CKunenaLogin::getloginFields();
?>
<?php if ($this->params->get('loginboxShow') == '1') { ?>
<div class="forumlist <?php if ($this->params->get('topmenuShow') == '1') : echo 'tk-clear'; endif; ?> tk-loginbox">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
		<?php if ($this->params->get('topmenuShow') == '1') { } else {?>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon login">
						<dt>
							<span class="ktitle kl">
								<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGIN'); ?>
							</span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="profilebox"></a></dd>
					</dl>
				</li>
			</ul>
		<?php } ?>
			<div id ="profilebox">
			<?php if ($login) : ?>
			<form action="index.php" method="post" name="login">
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon profilebox">
						<dt>
						</dt>
						<dd class="first tk-welcome">
							<ul>
								<li>
								<?php echo JText::_('COM_KUNENA_PROFILEBOX_WELCOME'); ?>, <b><?php echo JText::_('COM_KUNENA_PROFILEBOX_GUEST'); ?></b>
								</li>
							</ul>
							<ul>
								<li>
									<input type="text" name="<?php echo $login['field_username']; ?>" class="inputbox ks" alt="username" size="18" value="<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>" onblur = "if(this.value=='') this.value='<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>';" onfocus = "if(this.value=='<?php echo JText::_('COM_KUNENA_A_USERNAME'); ?>') this.value='';"/>
							<?php if(JPluginHelper::isEnabled('system', 'remember')) : ?>
							<input type="checkbox" name="remember" alt="" value="yes" />
							<?php echo JText::_('COM_KUNENA_LOGIN_REMEMBER_ME');  ?>
							<?php endif; ?>
								</li>
								<li>
									<input type="password" name="<?php echo $login['field_password']; ?>" class="inputbox ks" size="18" alt="password" value="<?php echo JText::_('COM_KUNENA_PASS'); ?>" onblur = "if(this.value=='') this.value='<?php echo JText::_('COM_KUNENA_PASS'); ?>';" onfocus = "if(this.value=='<?php echo JText::_('COM_KUNENA_PASS'); ?>') this.value='';"/>
							<input type="submit" name="submit" class="kbutton" value="<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGIN'); ?>" />
							<input type="hidden" name="option" value="<?php echo $login['option']; ?>" />
							<?php if (!empty($login['view'])) : ?>
							<input type="hidden" name="view" value="<?php echo $login['view']; ?>" />
							<?php endif; ?>
							<input type="hidden" name="task" value="<?php echo $login['task']; ?>" />
							<input type="hidden" name="<?php echo $login['field_return']; ?>" value="<?php echo $return; ?>" />
							<?php echo JHTML::_ ( 'form.token' ); ?>
								</li>
							</ul>
						</dd>
						<dd class="tk-loginform">
							<ul>
								<li>
									<?php echo CKunenaLogin::getLostPasswordLink (); ?>
								</li>
								<li>
									<?php echo CKunenaLogin::getLostUserLink ();?>
								</li>
									<?php
										$registration = CKunenaLogin::getRegisterLink ();
									if ($registration) : ?>
								<li>
									<?php echo $registration ?>
								</li>
									<?php endif; ?>
							</ul>
						</dd>
						<?php if (JDocumentHTML::countModules ( 'kunena_profilebox' )) { ?>
						<dd class="tk-module">
							<?php CKunenaTools::showModulePosition( 'kunena_profilebox' ); ?>
						</dd>
						<?php } ?>
					</dl>
				</li>
			</ul><div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
			</form>
			<?php endif; ?>
			</div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php } else { } ?>