<?php
/**
* @version $Id: stats.php 1890 2010-02-04 23:24:48Z mahagr $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
*
* Based on FireBoard Component
* @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.bestofjoomla.com
*
* Based on Joomlaboard Component
* @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @author TSMF & Jan de Graaff
**/

// Dont allow direct linking
defined( '_JEXEC' ) or die();

$kunena_config = KunenaFactory::getConfig ();
$document = JFactory::getDocument();
$document->setTitle(JText::_('COM_KUNENA_STAT_FORUMSTATS') . ' - ' . $this->escape($kunena_config->board_title));

if($kunena_config->showstats):

$this->loadGenStats();
$this->loadUserStats();
$this->loadTopicStats();
$this->loadPollStats();
$this->loadThanksStats();

$forumurl = 'index.php?option=com_kunena';

$userlist1 = CKunenaLink::GetUserlistLink('', intval($this->totalmembers));
?>

<!-- BEGIN: GENERAL STATS -->
<?php if($kunena_config->showgenstats): ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon">
						<dt><span class="ktitle kl"><?php echo stripslashes($kunena_config->board_title); ?> <?php echo JText::_('COM_KUNENA_STAT_FORUMSTATS'); ?></span></dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="morestats_tbody"></a></dd>
					</dl>
				</li>
			</ul><div id="frontstats_tbody">
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon caticon-stats">
					<dt></dt>
						<dd class="first">
								<ul id="statslistleft" class="fltlft">
									<li><?php echo JText::_('COM_KUNENA_STAT_TOTAL_MESSAGES'); ?>: <strong> <?php echo intval($this->totalmsgs); ?></strong> <span class="divider">|</span> <?php echo JText::_('COM_KUNENA_STAT_TOTAL_SUBJECTS'); ?>: <strong><?php echo intval($this->totaltitles); ?></strong></li>
									<li><?php echo JText::_('COM_KUNENA_STAT_TOTAL_SECTIONS'); ?>: <strong><?php echo intval($this->totalcats); ?></strong> <span class="divider-stat">|</span> <?php echo JText::_('COM_KUNENA_STAT_TOTAL_CATEGORIES'); ?>: <strong><?php echo intval($this->totalsections); ?></strong></li>
									<li><?php echo JText::_('COM_KUNENA_STAT_TODAY_OPEN_THREAD'); ?>: <strong><?php echo intval($this->todayopen); ?></strong> <span class="divider">|</span> <?php echo JText::_('COM_KUNENA_STAT_YESTERDAY_OPEN_THREAD'); ?>: <strong><?php echo intval($this->yesterdayopen); ?></strong></li>
									<li><?php echo JText::_('COM_KUNENA_STAT_TODAY_TOTAL_ANSWER'); ?>: <strong><?php echo intval($this->todayanswer); ?></strong> <span class="divider">|</span> <?php echo JText::_('COM_KUNENA_STAT_YESTERDAY_TOTAL_ANSWER'); ?>: <strong><?php echo intval($this->yesterdayanswer); ?></strong></li>
								</ul>
						</dd>
						<dd class="tk-users-total">
								<ul id="statslistright">
									<li><?php echo JText::_('COM_KUNENA_STAT_TOTAL_USERS'); ?>: <strong><?php echo $userlist1; ?></strong>
									<span class="divider">|</span> <?php echo JText::_('COM_KUNENA_STAT_LATEST_MEMBERS'); ?>:<strong>
									<?php echo CKunenaLink::GetProfileLink(intval($this->lastestmemberid)); ?></strong></li>
									<li>&nbsp;</li>
									<li><?php //echo $userlist2; ?></li>
									<li><?php //if ($kunena_config->showpopuserstats || $kunena_config->showpopsubjectstats) echo CKunenaLink::GetStatsLink(JText::_('COM_KUNENA_STAT_MORE_ABOUT_STATS').' &raquo;');?></li>
								</ul>
						</dd>
					</dl>
				</li>
			</ul></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>
<!-- FINISH: GENERAL STATS -->

<?php
$tabclass = array
(
"sectiontableentry1",
"sectiontableentry2"
);
$k = 0;
?>


<!-- B: Pop Subject -->
<?php if($this->showpopsubjectstats): ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon">
						<dt><span class="ktitle kl"><?php echo JText::_('COM_KUNENA_STAT_TOP'); ?> <strong><?php echo $kunena_config->popsubjectcount; ?></strong> <?php echo JText::_('COM_KUNENA_STAT_POPULAR'); ?> <?php echo JText::_('COM_KUNENA_STAT_POPULAR_USER_KGSG'); ?></span></dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="kpopsubstats_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="kpopsubstats_tbody" class="topiclist forums tk-stats-body">
 <?php foreach ($this->toptitles as $toptitle) {
	   $k = 1 - $k;
		   if ($toptitle->hits == $this->toptitlehits) { $barwidth = 100; } else { $barwidth = round(($toptitle->hits * 100) / $this->toptitlehits); } ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<?php echo CKunenaLink::GetThreadLink( 'view', $toptitle->catid, $toptitle->id, kunena_htmlspecialchars(stripslashes($toptitle->subject)), '' ); ?>
						</dt>
						<dd class="tk-stats-bar">
							<img class = "" src = "<?php echo KUNENA_TMPLTMAINIMGURL.'images/bar.gif';?>" alt = "" height = "10" width = "<?php echo $barwidth;?>%"/>
						</dd>
						<dd class="posts">
							<?php echo $toptitle->hits; ?> <?php echo JText::_('COM_KUNENA_USRL_HITS') ;?>
						</dd>
					</dl>
				</li>
			<?php } ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<!-- F: Pop Subject -->

<?php endif; ?>

<!-- B: Pop Poll -->
<?php if($this->showpoppollstats): ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon">
						<dt><span class="ktitle kl"><?php echo JText::_('COM_KUNENA_STAT_TOP'); ?> <strong><?php echo $kunena_config->poppollscount; ?></strong> <?php echo JText::_('COM_KUNENA_STAT_POPULAR'); ?> <?php echo JText::_('COM_KUNENA_STAT_POPULAR_POLLS_KGSG'); ?></span></dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="kpoppoll_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="kpopusermsgstats_tbody" class="topiclist forums tk-stats-body">
			<?php foreach($this->toppolls as $toppoll) {
				if($toppoll->total != "0") {
				$k = 1 - $k;
				if ($toppoll->total == $this->toppollvotes) { $barwidth = 100; }
				else { if($toppoll->total== null) { $toppoll->total = "0"; }
				$barwidth = round(($toppoll->total * 100) / $this->toppollvotes); } ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<?php echo CKunenaLink::GetThreadLink( 'view', $toppoll->catid, $toppoll->threadid, kunena_htmlspecialchars(stripslashes($toppoll->title)), '' ); ?>
						</dt>
						<dd class="tk-stats-bar">
							<img class = "" src = "<?php echo KUNENA_TMPLTMAINIMGURL.'images/bar.gif';?>" alt = "" height = "10" width = "<?php echo $barwidth;?>%"/>
						</dd>
						<dd class="posts">
							<?php echo $toppoll->total; ?> <?php echo JText::_('COM_KUNENA_USRL_VOTES') ;?>
						</dd>
					</dl>
				</li>
			<?php } } ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<!-- F: Pop Polls -->

<?php endif; ?>

<!-- B: User Messages -->
<?php if($this->showpopuserstats): ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon">
						<dt><span class="ktitle kl"><?php echo JText::_('COM_KUNENA_STAT_TOP'); ?> <strong><?php echo $kunena_config->popusercount; ?></strong> <?php echo JText::_('COM_KUNENA_STAT_POPULAR'); ?> <?php echo JText::_('COM_KUNENA_STAT_POPULAR_USER_TMSG'); ?></span></dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="kpopusermsgstats_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="kpopusermsgstats_tbody" class="topiclist forums tk-stats-body">
			<?php foreach ($this->topposters as $poster) {
	$k = 1 - $k; if ($poster->posts == $this->topmessage) { $barwidth = 100; }
	else { $barwidth = round(($poster->posts * 100) / $this->topmessage); } ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<?php echo CKunenaLink::GetProfileLink( $poster->userid, $poster->username); ?>
						</dt>
						<dd class="tk-stats-bar">
							<img class = "" src = "<?php echo KUNENA_TMPLTMAINIMGURL.'images/bar.gif';?>" alt = "" height = "10" width = "<?php echo $barwidth;?>%"/>
						</dd>
						<dd class="posts">
							<?php echo $poster->posts; ?> <?php echo JText::_('COM_KUNENA_USRL_POSTS') ;?>
						</dd>
					</dl>
				</li>
			<?php } ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<!-- F: User Messages -->

<?php endif; ?>

<!-- B: Pop Thank you  -->
<?php if($this->showpopthankyoustats): ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon">
						<dt><span class="ktitle kl"><?php echo JText::_('COM_KUNENA_STAT_TOP'); ?> <strong><?php echo JText::_('COM_KUNENA_STAT_POPULAR'); ?></strong> <?php echo JText::_('COM_KUNENA_STAT_POPULAR_USER_THANKS_YOU'); ?></span></dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="kthankyou_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="kthankyou_tbody" class="topiclist forums tk-stats-body">
			<?php
				foreach ($this->topuserthanks as $topthanks) :
				$k = 1 - $k;
				if ($topthanks->receivedthanks == $this->topthanks) {
					$barwidth = 100;
				} else {
					$barwidth = round(($topthanks->receivedthanks * 100) / $this->topthanks);
				}
			?>
				<li class="row">
					<dl class="icon">
						<dt>
							<?php echo CKunenaLink::GetProfileLink(intval($topthanks->id)); ?>
						</dt>
						<dd class="tk-stats-bar">
							<img src = "<?php echo KUNENA_TMPLTMAINIMGURL.'images/bar.gif';?>" alt = "" height = "10" width = "<?php echo $barwidth;?>%"/>
						</dd>
						<dd class="posts">
							<?php echo intval($topthanks->receivedthanks); ?> <?php echo JText::_('COM_KUNENA_STAT_THANKS_YOU_RECEIVED') ;?>
						</dd>
					</dl>
				</li>
			<?php endforeach; ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>
<!-- F: Thank you -->

<!-- B: Pop User  -->
<?php if($this->showpopuserstats): ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon">
						<dt><span class="ktitle kl"><?php echo JText::_('COM_KUNENA_STAT_TOP'); ?> <strong><?php echo $kunena_config->popusercount; ?></strong> <?php echo JText::_('COM_KUNENA_STAT_POPULAR'); ?> <?php echo JText::_('COM_KUNENA_STAT_POPULAR_USER_GSG'); ?></span></dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="kpopuserhitstats_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="kpopuserhitstats_tbody" class="topiclist forums tk-stats-body">
<?php foreach ($this->topprofiles as $topprofile) {
	$k = 1 - $k; if ($topprofile->hits == $this->topprofilehits) { $barwidth = 100;
	} else { $barwidth = round(($topprofile->hits * 100) / $this->topprofilehits); } ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<?php echo CKunenaLink::GetProfileLink( $topprofile->user_id, $topprofile->user); ?>
						</dt>
						<dd class="tk-stats-bar">
							<img class = "" src = "<?php echo KUNENA_TMPLTMAINIMGURL.'images/bar.gif';?>" alt = "" height = "10" width = "<?php echo $barwidth;?>%"/>
						</dd>
						<dd class="posts">
							<?php echo $topprofile->hits; ?> <?php echo JText::_('COM_KUNENA_USRL_HITS') ;?>
						</dd>
					</dl>
				</li>
			<?php } ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>
<!-- F: User User -->
<?php
	//$this->displayWhoIsOnline ();
	?>

<?php

endif;
?>