<?php
/**
 * @version $Id: editavatar.php 2406 2010-05-04 06:16:56Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/
defined( '_JEXEC' ) or die();
$j=count($this->banhistory);
?>
 <div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon banhistory">
						<dt class="body">
							<span class = "ktitle kl"><?php echo JText::sprintf('COM_KUNENA_BAN_BANHISTORYFOR', $this->escape($this->profile->name)); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="banhis_body"></a></dd>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums">
				<li class="row banheader">
					<dl>
						<dt class="banhis nr">
						 # 
						</dt>
						<dd class="from">
							<?php echo JText::_('COM_KUNENA_BAN_BANNEDFROM'); ?>
						</dd>
						<dd class="start">
							<?php echo JText::_('COM_KUNENA_BAN_STARTTIME'); ?>
						</dd>
						<dd class="end">
							<?php echo JText::_('COM_KUNENA_BAN_EXPIRETIME'); ?>
						</dd>
						<dd class="create">
							<?php echo JText::_('COM_KUNENA_BAN_CREATEDBY'); ?>
						</dd>
						<dd class="modify">
							<?php echo JText::_('COM_KUNENA_BAN_MODIFIEDBY'); ?>
						</dd>
					</dl>
				</li>
			<?php if ( !empty($this->banhistory) ) :
				foreach ($this->banhistory as $userban) :
				?>
				<li class="row banbody">
					<dl>
						<dt class="nr">
						 	<?php echo $j--; ?> 
						</dt>
						<dd class="from">
						 	<span><?php echo $userban->blocked ? JText::_('COM_KUNENA_BAN_BANLEVEL_JOOMLA') : JText::_('COM_KUNENA_BAN_BANLEVEL_KUNENA') ?> </span> 
						</dd>
						<dd class="start">
						 	<span><?php  if( $userban->created_time ) echo CKunenaTimeFormat::showDate($userban->created_time, 'datetime'); ?> </span> 
						</dd>
						<dd class="end">
						 	<span><?php echo $userban->isLifetime() ? JText::_('COM_KUNENA_BAN_LIFETIME') : CKunenaTimeFormat::showDate($userban->expiration, 'datetime'); ?> </span>
						</dd>
						<dd class="create">
						 	<span><?php echo CKunenaLink::GetProfileLink ( $userban->created_by ); ?></span>
						</dd>
						<dd class="modify">
							<?php if ( $userban->modified_by && $userban->modified_time) { ?>
							<span><?php echo CKunenaLink::GetProfileLink ( $userban->modified_by ); ?>  <?php echo CKunenaTimeFormat::showDate($userban->modified_time, 'datetime'); } ?></span>
						</dd>
					</dl>				
				</li>
				<?php if($userban->reason_public) : ?>
				<li class="row banbody">
					<dl>
						<dt class="public">
						 	<b><?php echo JText::_('COM_KUNENA_BAN_PUBLICREASON'); ?></b> : 
						</dt>
						<dd>
							<?php echo KunenaParser::parseText ($userban->reason_public); ?>
						</dd>
					</dl>				
				</li>
				<?php endif; ?>
				<?php if($userban->reason_private) : ?>				
				<li class="row banbody">
					<dl>
						<dt class="private">
						 	<b><?php echo JText::_('COM_KUNENA_BAN_PRIVATEREASON'); ?></b> :
						</dt>
						<dd>
							<?php echo KunenaParser::parseText ($userban->reason_private); ?>
						</dd>
					</dl>				
				</li>
				<?php endif; ?>
				<?php if (is_array($userban->comments)) foreach ($userban->comments as $comment) : ?>
				<li class="row banbody">
					<dl>
						<dt class="comment">
							 <b><?php echo JText::sprintf('COM_KUNENA_BAN_COMMENT_BY', CKunenaLink::GetProfileLink ( $comment->userid )); ?></b> : 
						</dt>
						<dd class="commenttime">
							<?php echo CKunenaTimeFormat::showDate($comment->time); ?>
						</dd>
						<dd>
							<?php echo KunenaParser::parseText ($comment->comment); ?>
						</dd>
					</dl>				
				</li>
					<?php endforeach; ?>
				<?php endforeach; ?>
				<?php else : ?>
				<li class="row banbody">
					<dl>
						<dt class="nohistory">
							 <?php echo JText::sprintf('COM_KUNENA_BAN_USER_NOHISTORY', $this->escape($this->profile->name)); ?> 
						</dt>
					</dl>				
				</li>
				<?php endif; ?>		
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>