<?php
/**
 * @version $Id: editavatar.php 2406 2010-05-04 06:16:56Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/
defined( '_JEXEC' ) or die();
JHTML::_('behavior.tooltip');
$i=1;
$j=0;
?>
 <div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon banmanager">
						<dt class="body">
							<span class = "ktitle kl"><?php echo JText::_('COM_KUNENA_BAN_BANMANAGER'); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="banhis_body"></a></dd>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums">
				<li class="row banheader">
					<dl>
						<dt class="banhis nr">
						 # 
						</dt>
						<dd class="from">
							<?php echo JText::_('COM_KUNENA_BAN_BANNEDUSER'); ?>
						</dd>
						<dd class="start">
							<?php echo JText::_('COM_KUNENA_BAN_BANNEDFROM'); ?>
						</dd>
						<dd class="end">
							<?php echo JText::_('COM_KUNENA_BAN_STARTTIME'); ?>
						</dd>
						<dd class="create">
							<?php echo JText::_('COM_KUNENA_BAN_EXPIRETIME'); ?>
						</dd>
					</dl>
				</li>
				<?php
					if ( $this->bannedusers ) {
						foreach ($this->bannedusers as $userban) {
						$bantext = $userban->blocked ? JText::_('COM_KUNENA_BAN_UNBLOCK_USER') : JText::_('COM_KUNENA_BAN_UNBAN_USER');
					$j++;
				?>					
				<li class="row banbody">
					<dl>
						<dt class="nr">
						 	<?php echo $j; ?> 
						</dt>
						<dd class="from">
						 	<a href="#"><?php echo CKunenaLink::GetProfileLink ( $userban->userid ); ?> </a> 
						</dd>
						<dd class="start">
						 	<span><?php echo $userban->blocked ? JText::_('COM_KUNENA_BAN_BANLEVEL_JOOMLA') : JText::_('COM_KUNENA_BAN_BANLEVEL_KUNENA'); } ?></span> 
						</dd>
						<dd class="end">
						 	<span><?php echo CKunenaTimeFormat::showDate($userban->created_time, 'datetime'); ?></span>
						</dd>
						<dd class="create">
						 	<span><?php echo $userban->isLifetime() ? JText::_('COM_KUNENA_BAN_LIFETIME') : CKunenaTimeFormat::showDate($userban->expiration, 'datetime'); ?></span>
						</dd>
					</dl>				
				</li>
				<?php } else { ?>
				<li class="row banbody">
					<dl>
						<dt class="nohistory">
							 <?php echo JText::_('COM_KUNENA_BAN_NO_BANNED_USERS'); ?> 
						</dt>
					</dl>				
				</li>
				<?php } ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>