<?php
/**
 * @version $Id: editavatar.php 2282 2010-04-18 00:28:57Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/
defined( '_JEXEC' ) or die();

?>
 <div class="forumlist tk-edituser">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon tk-edituser">
						<dt class="body">
							<span class = "ktitle kl"><?php echo JText::_('COM_KUNENA_PROFILE_EDIT_AVATAR_TITLE'); ?></span>
						</dt>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums edituser">
<?php if ($this->profile->avatar): ?>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_PROFILE_AVATAR_KEEP');?>
						</dt>
						<dd class="tk-user-last">
						 	<input id="kavatar_keep" type="radio" name="avatar" value="keep" checked="checked" />
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_PROFILE_AVATAR_DELETE');?>
						</dt>
						<dd class="tk-user-last">
						 	<input id="kavatar_delete" type="radio" name="avatar" value="delete"/>
						</dd>
					</dl>
				</li>
<?php endif; ?>
<?php if ($this->config->allowavatarupload):?>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_PROFILE_AVATAR_UPLOAD');?>
						</dt>
						<dd class="tk-user-last">
						 	<input id="kavatar_upload" type="file" class="button" name="avatarfile" />
						</dd>
					</dl>
				</li>
<?php endif; ?>
<?php if ($this->config->allowavatargallery):?>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_PROFILE_AVATAR_GALLERY');?>
						</dt>
						<dd class="tk-user-last">
						 	<div><?php echo $this->galleries; ?></div>
						 	<div>
					<script type="text/javascript">
						<!--
						function switch_avatar_category(gallery)
						{
						if (gallery == "")
							return;
						var url = "<?php echo CKunenaLink::GetMyProfileUrl ( intval($this->user->id), 'edit', false, '&gallery=_GALLERY_' )?>";
						var urlreg = new  RegExp("_GALLERY_","g");
						location.href=url.replace(urlreg,gallery);
						}
						// -->
					</script>
					<?php
					$kid = 0;
					foreach ($this->galleryimg as $avatarimg) : ?>
					<span>
						<label for="kavatar<?php echo $kid ?>"><img src="<?php echo $this->galleryurl .'/'. ($this->gallery ? $this->gallery.'/':'') . $avatarimg ?>" alt="" /></label>
						<input id="kavatar<?php echo $kid ?>" type="radio" name="avatar" value="<?php echo 'gallery/' . ($this->gallery ? $this->gallery.'/':'') . $avatarimg ?>"/>
					</span>
					<?php $kid++; endforeach; ?>

								<?php
								/*$kid = 0;
									foreach ($this->galleryimg as $avatarimg) {
									echo '<span class="kavatar-gallery" style="background: #ccc;"> <span>';
									echo '<label for="kavatar'.$kid.'"><img src="' . $this->galleryurl .'/'. $this->gallery . $avatarimg . '" alt="" /></label>';
									echo '<input id="kavatar'.$kid.'" type="radio" name="avatar" value="gallery/' . $this->gallery . $avatarimg . '"/>';
									echo "</span></span>";
									$kid++;
									}*/
								?>
						 	</div>
						</dd>
					</dl>
				</li>
<?php endif; ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
