<?php
/**
 * @version $Id: editprofile.php 2257 2010-04-13 07:38:30Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/
defined( '_JEXEC' ) or die();
?>
 <div class="forumlist tk-edituser">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon tk-edituser">
						<dt class="body">
							<span class = "ktitle kl"><?php echo JText::_('COM_KUNENA_PROFILE_EDIT_PROFILE_TITLE'); ?></span>
						</dt>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums edituser">
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_PERSONALTEXT'); ?>
						</dt>
						<dd class="tk-user-last">
						 	<input type="text" maxlength="<?php echo intval($this->config->maxpersotext) ?>" name="personaltext" value="<?php echo $this->escape($this->profile->personalText); ?>" />
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_BIRTHDATE'); ?>
						</dt><?php $bithdate = explode('-',$this->profile->birthdate); ?>
						<dd class="tk-user-last">
							<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_BIRTHDATE'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_BIRTHDATE_DESC'); ?>" >
								<input type="text" size="4" maxlength="4" name="birthdate1" value="<?php echo $bithdate[0]; ?>" />
								<input type="text" size="2" maxlength="2" name="birthdate2" value="<?php echo $bithdate[1]; ?>" />
								<input type="text" size="2" maxlength="2" name="birthdate3" value="<?php echo $bithdate[2]; ?>" />
							</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_LOCATION'); ?>
						</dt>
						<dd class="tk-user-last">
						 	<input type="text" name="location" value="<?php echo $this->profile->location; ?>" />
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_GENDER'); ?>
						</dt>
						<dd class="tk-user-last">
						 	<?php
							// make the select list for the view type
							$gender[] = JHTML::_('select.option', 0, JText::_('COM_KUNENA_MYPROFILE_GENDER_UNKNOWN'));
							$gender[] = JHTML::_('select.option', 1, JText::_('COM_KUNENA_MYPROFILE_GENDER_MALE'));
							$gender[] = JHTML::_('select.option', 2, JText::_('COM_KUNENA_MYPROFILE_GENDER_FEMALE'));
							// build the html select list
							echo JHTML::_('select.genericlist', $gender, 'gender', 'class="inputbox" size="1"', 'value', 'text', $this->escape($this->profile->gender));
							?>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_WEBSITE_NAME'); ?>
						</dt>
						<dd class="tk-user-last">
							<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_WEBSITE_NAME'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_WEBSITE_NAME_DESC'); ?>" >
								<input type="text" name="websitename" value="<?php echo $this->escape($this->profile->websitename); ?>" />
							</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_WEBSITE_URL'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_WEBSITE_URL'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_WEBSITE_URL_DESC'); ?>" >
					<input type="text" name="websiteurl" value="<?php echo $this->profile->websiteurl; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_TWITTER'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_TWITTER'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_TWITTER_DESC'); ?>" >
					<input type="text" name="twitter" value="<?php echo $this->profile->TWITTER; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_FACEBOOK'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_FACEBOOK'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_FACEBOOK_DESC'); ?>" >
					<input type="text" name="facebook" value="<?php echo $this->profile->FACEBOOK; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_MYSPACE'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_MYSPACE'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_MYSPACE_DESC'); ?>" >
					<input type="text" name="myspace" value="<?php echo $this->profile->MYSPACE; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_SKYPE'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_SKYPE'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_SKYPE_DESC'); ?>" >
					<input type="text" name="skype" value="<?php echo $this->profile->SKYPE; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_LINKEDIN'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_LINKEDIN'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_LINKEDIN_DESC'); ?>" >
					<input type="text" name="linkedin" value="<?php echo $this->profile->LINKEDIN; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_DELICIOUS'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_DELICIOUS'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_DELICIOUS_DESC'); ?>" >
					<input type="text" name="delicious" value="<?php echo $this->profile->DELICIOUS; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_FRIENDFEED'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_FRIENDFEED'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_FRIENDFEED_DESC'); ?>" >
					<input type="text" name="friendfeed" value="<?php echo $this->profile->FRIENDFEED; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_DIGG'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_DIGG'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_DIGG_DESC'); ?>" >
					<input type="text" name="digg" value="<?php echo $this->profile->DIGG; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_YIM'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_YIM'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_YIM_DESC'); ?>" >
					<input type="text" name="yim" value="<?php echo $this->profile->YIM; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_AIM'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_AIM'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_AIM_DESC'); ?>" >
					<input type="text" name="aim" value="<?php echo $this->profile->AIM; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_GTALK'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_GTALK'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_GTALK_DESC'); ?>" >
					<input type="text" name="gtalk" value="<?php echo $this->profile->GTALK; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_ICQ'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_ICQ'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_ICQ_DESC'); ?>" >
					<input type="text" name="icq" value="<?php echo $this->profile->ICQ; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_MSN'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_MSN'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_MSN_DESC'); ?>" >
					<input type="text" name="msn" value="<?php echo $this->profile->MSN; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_BLOGSPOT'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_BLOGSPOT'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_BLOGSPOT_DESC'); ?>" >
					<input type="text" name="blogspot" value="<?php echo $this->profile->BLOGSPOT; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_FLICKR'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_FLICKR'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_FLICKR_DESC'); ?>" >
					<input type="text" name="flickr" value="<?php echo $this->profile->FLICKR; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_BEBO'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_BEBO'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_BEBO_DESC'); ?>" >
					<input type="text" name="bebo" value="<?php echo $this->profile->BEBO; ?>" />
				</span>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<?php echo JText::_('COM_KUNENA_MYPROFILE_SIGNATURE'); ?>
						</dt>
						<dd class="tk-user-last">
				<span class="editlinktip hasTip" title="<?php echo JText::_('COM_KUNENA_MYPROFILE_SIGNATURE'); ?>::<?php echo JText::_('COM_KUNENA_MYPROFILE_SIGNATURE_DESC'); ?>" >
					<textarea class="ktxtarea required" name="signature" id="kbbcode-message"><?php echo $this->escape($this->profile->signature) ?></textarea>
				</span>
						</dd>
					</dl>
				</li>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
