<?php
/**
 * @version $Id: flat.php 2025 2010-03-06 01:41:58Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/

// Dont allow direct linking
defined( '_JEXEC' ) or die();

global $kunena_icons, $topic_emoticons;

// url of current page that user will be returned to after bulk operation
$kuri = JURI::getInstance ();
$Breturn = $kuri->toString ( array ('path', 'query', 'fragment' ) );
$this->app->setUserState( "com_kunena.ActionBulk", JRoute::_( $Breturn ) );
	?>
<form action="index.php" method="post" name="kBulkActionForm">
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
		<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon flat<?php if ($this->func == 'mylatest'): echo 'myrecent'; endif; ?>">
						<dt><span class="ktitle kl"><?php if (!empty($this->header)) echo $this->escape($this->header); ?></span></dt>
						<?php if (!$this->showposts):?><dd class="topics"><?php echo JText::_('COM_KUNENA_GEN_REPLIES'); ?></dd><?php endif; ?>
						<dd class="posts"><?php echo JText::_('COM_KUNENA_GEN_HITS');?></dd>
						<?php if ($this->showposts && $this->func = 'profile'):?><dd class="posts"><?php echo JText::_('COM_KUNENA_MY_POSTS'); ?></dd><?php endif; ?>
						<dd class="lastpost"><span><?php echo JText::_('COM_KUNENA_GEN_LAST_POST');?></span></dd>
		<?php if (count($this->actionDropdown) > 1) : ?>
		<?php if ($this->func == 'favorites' || $this->func == 'subscriptions') { ?>
		<dd style="float:right;"><input id="kcbcheckall_<?php echo $this->func ?>" type="checkbox" name="toggle" value="" /></dd>
		<?php } else { ?>
		<dd style="float:right;"><input id="kcbcheckall" type="checkbox" name="toggle" value="" /></dd>
		<?php } ?>
		<?php endif; ?>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums">
				<?php
					$k = 0;
					$counter = 0;
					if (!count ( $this->threads ) && !$this->hasSubCats) {
						echo '<ul class="topiclist forums"><li class="row" style="text-align:center; padding:20px; color:red;">' . ($this->func=='showcat'?JText::_('COM_KUNENA_VIEW_NO_POSTS'):JText::_('COM_KUNENA_NO_POSTS')) . '</li></ul>';
					} else
					foreach ( $this->threads as $leaf ) {
						$leaf->name = kunena_htmlspecialchars ( stripslashes ( $leaf->name ) );
						$leaf->email = kunena_htmlspecialchars ( stripslashes ( $leaf->email ) );
							$curMessageNo = $leaf->msgcount - ($leaf->unread ? $leaf->unread - 1 : 0);
							$threadPages = ceil ( $leaf->msgcount / $this->config->messages_per_page );
							$unreadPage = ceil ( $curMessageNo / $this->config->messages_per_page );
						if ($leaf->moved == 1) $leaf->topic_emoticon = 3;
						if ($this->highlight && $counter == $this->highlight) {
						$k = 0;
						}
						$counter ++;
						?>
				<li class="<?php echo ($leaf->ordering != 0) ? 'sticky' : ''; ?> row">
					<dl class="icon topicicon<?php echo $leaf->unread ? '-new':'-nonew'; ?>">
						<dt class="topics">
						<span class ="topicicon">
							<?php echo CKunenaLink::GetThreadPageLink ( 'view', intval($leaf->catid), intval($leaf->id), $unreadPage, intval($this->config->messages_per_page), CKunenaTools::topicIcon($leaf), intval($leaf->lastread) ) ?>
						</span>
						<?php if ($leaf->favcount ) {
							if ($leaf->myfavorite) {
								echo '<img class="favoriteicon" src="' . KUNENA_URLICONSPATH . 'favoritestar.png" alt="' . JText::_('COM_KUNENA_FAVORITE') . '" title="' . JText::_('COM_KUNENA_FAVORITE') . '" />';
							} else {
								echo '<img class="favoriteicon" src="' . KUNENA_URLICONSPATH . 'favoritestar-grey.png" alt="' . JText::_('COM_KUNENA_FAVORITE') . '" title="' . JText::_('COM_KUNENA_FAVORITE') . '" />';
							}
						} ?>
						<span class="threadtitle">
							<?php
							if ($this->params->get('showStatus') == '1') :

								if ($leaf->topic_emoticon == 16)
									echo '<span class="status invited" title="'.$this->params->get('invitedText').'">'.$this->params->get('invitedText').'</span>';
								if ($leaf->topic_emoticon == 15)
									echo '<span class="status accepted" title="'.$this->params->get('acceptedText').'">'.$this->params->get('acceptedText').'</span>';
								if ($leaf->topic_emoticon == 14)
									echo '<span class="status declined" title="'.$this->params->get('declinedText').'">'.$this->params->get('declinedText').'</span>';
								if ($leaf->topic_emoticon == 13)
									echo '<span class="status underreview" title="'.$this->params->get('underreviewText').'">'.$this->params->get('underreviewText').'</span>';
								if ($leaf->topic_emoticon == 12)
									echo '<span class="status archived" title="'.$this->params->get('archivedText').'">'.$this->params->get('archivedText').'</span>';
								if ($leaf->topic_emoticon == 11)
									echo '<span class="status revised" title="'.$this->params->get('revisedText').'">'.$this->params->get('revisedText').'</span>';
								if ($leaf->topic_emoticon == 10)
									echo '<span class="status assigned" title="'.$this->params->get('assignedText').'">'.$this->params->get('assignedText').'</span>';
								if ($leaf->topic_emoticon == 9)
									echo '<span class="status onhold" title="'.$this->params->get('onholdText').'">'.$this->params->get('onholdText').'</span>';
								if ($leaf->topic_emoticon == 8)
									echo '<span class="status solved" title="'.$this->params->get('solvedText').'">'.$this->params->get('solvedText').'</span>';

								endif;
								if ($leaf->locked != 0) {
									echo '<span class="status closed" title="'.$this->params->get('closedText').'">'.$this->params->get('closedText').'</span>';
								} ?>
							<?php
								echo CKunenaLink::GetThreadLink ( 'view', $leaf->catid, $leaf->id, KunenaParser::parseText ($leaf->subject), KunenaParser::stripBBCode ( $leaf->message, 500), 'follow', '' );
							?>
							<?php if ($leaf->hold == 1) : ?>
							<span class="topic_unaproved">
							<?php echo '<img class="unaprovedicons" src="' . KUNENA_URLICONSPATH . 'unaproved_picc.png"  alt="' . JText::_('COM_KUNENA_GEN_ISSTICKY') . '" title="' . JText::_('COM_KUNENA_GEN_ISSTICKY') . '" />';
							?>
							</span>
							<?php endif; ?>
							<?php if ($leaf->hold == 2) : ?>
							<span class="topic_deleted">
							<?php echo '<img class="deletedicons" src="' . KUNENA_URLICONSPATH . 'deleted_picc.png"  alt="' . JText::_('COM_KUNENA_GEN_ISSTICKY') . '" title="' . JText::_('COM_KUNENA_GEN_ISSTICKY') . '" />';
							?>
							</span>
							<?php endif; ?>
							<?php if ($leaf->ordering != 0) : ?>
							<span class="stickyicons">
							<?php echo '<img class="stickyicons" src="' . KUNENA_URLICONSPATH . 'sticky.png" alt="' . JText::_('COM_KUNENA_SHOW_LAST') . '" title="' . JText::_('COM_KUNENA_SHOW_LAST') . '" />';
							?>
							</span>
							<?php endif; ?>
						</span><br />
						<span>
							<?php
							if ($leaf->attachments) {
								echo '<img class="attachicons" src="' . KUNENA_URLICONSPATH . 'attachment.png"  alt="' . JText::_('COM_KUNENA_ATTACH') . '" title="' . JText::_('COM_KUNENA_ATTACH') . '" />';
							}
							/*if (CKunenaPolls::get_poll_data($leaf->poll->id) ) {
								echo isset ( $kunena_icons ['pollicon'] ) ? '<img  class="pollicon" src="' . KUNENA_URLICONSPATH . $kunena_icons ['pollicon'] . '" border="0" alt="' . JText::_('COM_KUNENA_EDITOR_POLL') . '" />' : '<img class="pollicon" src="' . KUNENA_URLICONSPATH . 'pollicon.png"  alt="' . JText::_('COM_KUNENA_EDITOR_POLL') . '" title="' . JText::_('COM_KUNENA_EDITOR_POLL') . '" />';
							}*/
							if ($leaf->name) {
								echo '<span class="topic_by">';
								echo JText::_('COM_KUNENA_GEN_BY') . ' ' . CKunenaLink::GetProfileLink ( intval($leaf->userid), $this->escape($leaf->name) );
								echo '</span>';
							}
							?>
							<?php if ($this->func != 'showcat') { ?>
							<span class="ktopic-category"> <?php echo JText::_('COM_KUNENA_TEMPLATE_IN') . ' ' . CKunenaLink::GetCategoryLink ( 'showcat', $leaf->catid, kunena_htmlspecialchars ( $leaf->catname ) ); ?>
							</span> ::
							<?php 	} ?>
							<span class="topic_posted_time" title="<?php echo CKunenaTimeformat::showDate( $leaf->time, 'config_post_dateformat_hover'); ?>">
								<?php echo CKunenaTimeformat::showDate($leaf->time, 'config_post_dateformat'); ?>&nbsp;
							</span>
							<?php if ($leaf->msgcount > $this->config->messages_per_page) { ?>
							<strong class="pagination" style="">
								<span>
									<?php
										echo CKunenaLink::GetThreadPageLink ( 'view', $leaf->catid, $leaf->id, 1, $this->config->messages_per_page, 1 ) ;
										if ($threadPages > 3) { echo (' ... ');
											$startPage = $threadPages - 2;
										} else { $startPage = 2; }
										for($hopPage = $startPage; $hopPage <= $threadPages; $hopPage ++) {
											echo  CKunenaLink::GetThreadPageLink ( 'view', $leaf->catid, $leaf->thread, $hopPage, $this->config->messages_per_page, $hopPage ) ;
										}
									?>
								</span>
							</strong>
							<?php } ?>
						</span>
						</dt>
						<?php if ($this->func != 'profile'):?>
						<dd class="topics">
							<span>
							<?php echo CKunenaTools::formatLargeNumber ( $leaf->msgcount-1 ); ?>
							</span>
						</dd>
						<?php endif; ?>
						<dd class="views">
							<span>
							<?php echo CKunenaTools::formatLargeNumber ( ( int ) $leaf->hits ); ?>
							</span>
						</dd>
						<?php if ($this->showposts && $this->func = 'profile'):?>
						<dd class="posts">
							<span>
							<?php echo CKunenaTools::formatLargeNumber ( ( int ) $leaf->mycount ); ?>
							</span>
						</dd>
						<?php endif; ?>
						<dd class="lastpost">
							<?php if ($leaf->unread) {
								echo '<img class="unreadeicon" src="' . KUNENA_URLICONSPATH . 'new.png"  alt="' . JText::_('COM_KUNENA_GEN_FORUM_NEWPOST') . '" title="' . JText::_('COM_KUNENA_GEN_FORUM_NEWPOST') . '" />'; } ?>
							<?php if (($leaf->hits > $this->params->get('hotTopic')) && (!$this->showposts )){
								echo '<img class="hoticon" src="' . KUNENA_URLICONSPATH . 'hot.png"  alt="' . JText::_('COM_KUNENA_GEN_FORUM_NEWPOST') . '" title="' . JText::_('COM_KUNENA_GEN_FORUM_NEWPOST') . '" />'; } ?>
						<?php
							if ($this->config->avataroncat > 0) :
							$profile = KunenaFactory::getUser((int)$this->lastreply [$leaf->thread]->userid);
							$useravatar = $profile->getAvatarLink('klist_avatar');
							if ($useravatar) :
						?>
						<span class="topic_latest_post_avatar">
							<?php echo CKunenaLink::GetProfileLink ( $this->lastreply [$leaf->thread]->userid, $useravatar ); ?>
						</span>
						<?php endif;
							endif; ?>
						<span>
							<?php
								if ($leaf->moved) :
									echo JText::_('COM_KUNENA_MOVED');
								elseif ($this->topic_ordering == 'ASC') :
									echo CKunenaLink::GetThreadPageLink ( 'view', intval($leaf->catid), intval($leaf->thread), $threadPages, intval($this->config->messages_per_page), '', intval($this->lastreply [$leaf->thread]->id) );
								else :
									echo CKunenaLink::GetThreadPageLink ( 'view', intval($leaf->catid), intval($leaf->thread), 1, intval($this->config->messages_per_page), '', intval($this->lastreply [$leaf->thread]->id) );
								endif;
								if ($leaf->name)
									echo ' ' . JText::_('COM_KUNENA_GEN_BY') . ' ' . CKunenaLink::GetProfileLink ( $this->lastreply [$leaf->thread]->userid, stripslashes ( $this->lastreply [$leaf->thread]->name ))."&nbsp;&nbsp;";
									echo CKunenaLink::GetThreadPageLink ( 'view', $leaf->catid, $leaf->thread, $threadPages, $this->config->messages_per_page, '<img class="" src="' . KUNENA_URLICONSPATH . 'icon_topic_latest.gif" border="0" alt="' . JText::_('COM_KUNENA_SHOW_LAST') . '" title="' . JText::_('COM_KUNENA_SHOW_LAST') . '"/>', $this->lastreply [$leaf->thread]->id, $rel='follow');
							?>
						</span>
						<br />
						<span class="topic_date" title="<?php echo CKunenaTimeformat::showDate($this->lastreply [$leaf->thread]->time, 'config_post_dateformat_hover'); ?>">
							<?php echo CKunenaTimeformat::showDate( $this->lastreply [$leaf->thread]->time, 'config_post_dateformat'); ?>
						</span>
						</dd>
						<?php if (count($this->actionDropdown) > 1) : ?>
						<dd class="moderation">
							<input class ="kDelete_bulkcheckboxes" type="checkbox" name="cb[<?php echo $leaf->id?>]" value="0"  />
						</dd>
						<?php endif; ?>
					</dl>
				</li>
				<?php } ?>
				<?php  if ( count($this->actionDropdown) > 1 || $this->embedded ) : ?>
				<li class="rowbulk">
				<dl>
					<dt></dt><dd>
				<?php if ($this->embedded) echo CKunenaLink::GetShowLatestLink(JText::_('COM_KUNENA_MORE'), $this->func , 'follow'); ?>
				<?php if (count($this->actionDropdown) > 1) : ?>
				<?php echo JHTML::_('select.genericlist', $this->actionDropdown, 'do', 'class="inputbox" size="1"', 'value', 'text', 0, 'kBulkChooseActions'); ?>
				<?php if ($this->actionMove) CKunenaTools::showBulkActionCats (); ?>
				<input type="submit" name="kBulkActionsGo" class="kbutton" value="<?php echo JText::_('COM_KUNENA_GO') ?>" />
				<?php endif; ?>
					</dd>
				</dl>
			</li>
			<?php endif; ?>
			</ul><div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
			<span class="corners-bottom"><span></span></span>
		</div>
	</div>
<input type="hidden" name="option" value="com_kunena" />
<input type="hidden" name="func" value="bulkactions" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
