<?php
/**
 * @version $Id: flat.php 2025 2010-03-06 01:41:58Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/

// Dont allow direct linking
defined( '_JEXEC' ) or die();

global $kunena_icons, $topic_emoticons;
// url of current page that user will be returned to after bulk operation
$kuri = JURI::getInstance ();
require_once (JPATH_COMPONENT . DS . 'lib' . DS . 'kunena.poll.class.php');
$Breturn = $kuri->toString ( array ('path', 'query', 'fragment' ) );
$this->app->setUserState( "com_kunena.ActionBulk", JRoute::_( $Breturn ) );
	?>
<div class="forumlist">
		<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon flat<?php if ($this->func == 'mylatest'): echo 'myrecent'; endif; ?>">
						<dt><span class="ktitle kl"><?php if (!empty($this->header)) echo $this->header; ?></span></dt>
					</dl>
				</li>
			</ul>
		<?php
			$k = 0;
			$counter = 0;
			if (!count ( $this->customreply )) {
				echo '<ul class="topiclist forums"><li class="row" style="text-align:center; padding:20px; color:red;">' . ($this->func=='showcat'?JText::_('COM_KUNENA_VIEW_NO_POSTS'):JText::_('COM_KUNENA_NO_POSTS')) . '</li></ul>';
			} else
			foreach ( $this->customreply as $message ) {
		$message->name = kunena_htmlspecialchars ( $message->name );
		$message->email = kunena_htmlspecialchars ( $message->email );
		$lastreply = $this->lastreply[$message->thread];
		$firstpost = $this->threads[$message->thread];
				if ($message->moved == 1) $message->topic_emoticon = 3;
		 if ($this->highlight && $counter == $this->highlight) {
			$k = 0;
		}
		$counter ++;
		?>
<div class="post tk-posts">
	<div class="inner">
		<span class=""><span></span></span>
		<dl id="profilebox-post" class="postprofile-left">
		<dt>
		</dt>
		<dd>
		<div class="tk-posts-avatar">
		<?php
		if ($this->config->avataroncat > 0) :
			$profile = KunenaFactory::getUser($message->userid);
			$useravatar = $profile->getAvatarLink('','reply');
			if ($useravatar) :
			?>
			<div class="tk-posts-useravatar"> <?php
			echo CKunenaLink::GetProfileLink ( $message->userid, $useravatar );
			?>
			</div> <?php
			endif;
		endif;
		?></div>
		</dd>
		</dl>
			<div class="postbody tk-posts-postbody">
				<div class="postbackground-left">
					<h3>
			<?php
			echo CKunenaLink::GetThreadLink ( 'view', $message->catid, $message->id, KunenaParser::parseText ($message->subject), KunenaParser::stripBBCode ( $message->message, 500), 'follow', '' );
			?>
					<span class="tk-posts-topicicon">
						<?php echo CKunenaLink::GetThreadPageLink ( 'view', intval($message->catid), intval($message->id), '', intval($this->config->messages_per_page), CKunenaTools::topicIcon($message), intval($message->lastread) ) ?>
					</span>
					</h3>

					<span title="<?php echo CKunenaTimeformat::showDate($this->msg->time, 'config_post_dateformat_hover') ?>">
						<?php echo CKunenaTimeformat::showDate($message->time, 'config_post_dateformat'); ?>
					</span>
				</div>
				<div class="content">
					<div class="msgcontent"><?php echo KunenaParser::parseBBCode ( stripslashes($message->message) );?>
				</div>
				<?php if ( !empty($this->attachmentslist[$message->id]) ) $this->displayAttachments($this->attachmentslist[$message->id]); ?>
				</div>
			</div>
			<div class="clr"></div>
			<div class="msgaction-left">
			<?php
			echo CKunenaLink::GetThreadLink ( 'view', $message->catid, $message->id, CKunenaTools::showButton ( 'reply', JText::_('Post') ), JText::_('Go to Post'), 'follow', 'kbuttoncomm btn-left' ).'&nbsp;&nbsp;';
			?>
			<?php
			echo CKunenaLink::GetThreadLink ( 'view', $firstpost->catid, $firstpost->id, CKunenaTools::showButton ( 'reply', JText::_('Topic') ), JText::_('Go to Topic'), 'follow', 'kbuttoncomm btn-left' ).'&nbsp;&nbsp;';
			?>
			<?php
			echo CKunenaLink::GetCategoryLink ( 'showcat', $message->catid, CKunenaTools::showButton ( 'reply', JText::_('Category') ), JText::_('Go to Category'), 'kbuttoncomm btn-left', JText::_('Go to Category').': '.$message->catname);
			?>
			</div>
		<span class=""><span></span></span>
	</div>
</div>
		<?php } ?>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
			<span class="corners-bottom"><span></span></span>
		</div>
	</div>
