<?php
/**
 * @version $Id: showcat.php 1930 2010-02-17 10:19:40Z severdia $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/
// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

global $kunena_icons;
?>

<?php
$this->displayPathway ();
?>


<?php
$this->displaySubCategories ();
?>
<?php if ($this->objCatInfo->headerdesc) { ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon forumheader">
						<dt class="body"><span class="ktitle kl"><?php echo JText::_('Forum Description'); ?></span></dt>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon caticon-catdesc">
						<dt class="body">
							<?php echo KunenaParser::parseBBCode (  $this->headerdesc ); ?>
						</dt>
					</dl>
				</li>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php } ?>

<!-- B: List Actions -->
<div class="forumlist tk-clear tk-forum-action">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon">
						<dt>
						</dt>
						<dd class="tk-thread-action" style="width:70%;">
							<span class="klist-actions-goto tk-goto">
								<a name="forumtop"> </a>
								<?php echo CKunenaLink::GetSamePageAnkerLink ( 'forumbottom', CKunenaTools::showIcon ( 'kforumbottom', JText::_('COM_KUNENA_GEN_GOTOBOTTOM') ), 'nofollow', 'kbuttongoto') ?>
							</span>
							<span>
							<?php
							if (isset ( $this->forum_new ) || isset ( $this->forum_markread ) || isset ( $this->thread_subscribecat )) {
							echo '<div class="kmessage_buttons_row">';
							if (isset ( $this->forum_new ))
								echo $this->forum_new;
							if (isset ( $this->forum_markread ))
								echo ' ' . $this->forum_markread;
							if (isset ( $this->thread_subscribecat ))
								echo ' ' . $this->thread_subscribecat;
								echo '</div>';
								} ?>
							</span>
						</dd>
						<dd class="tk-pagination">
							<?php
							//pagination 1
							if (count ( $this->messages ) > 0) {
								$maxpages = 9 - 2; // odd number here (# - 2)
								echo $pagination = $this->getPagination ( $this->catid, $this->page, $this->totalpages, $maxpages );
								}
							?>
						</dd>
					</dl>
				</li>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>

<!-- F: List Actions -->

<?php
	$this->displayFlat ();
?>

<!-- B: List Actions Bottom -->
<div class="forumlist tk-clear tk-forum-action">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon">
						<dt>
						</dt>
						<dd class="tk-thread-action" style="width:70%;">
							<span class="klist-actions-goto tk-goto">
								<a name="forumbottom"> </a>
								<?php echo CKunenaLink::GetSamePageAnkerLink ( 'forumtop', CKunenaTools::showIcon ( 'kforumtop', JText::_('COM_KUNENA_GEN_GOTOBOTTOM') ), 'nofollow', 'kbuttongoto') ?>
							</span>
							<span>
						<?php
						if (isset ( $this->forum_new ) || isset ( $this->forum_markread ) || isset ( $this->thread_subscribecat )) {
							echo '<div class="kmessage_buttons_row">';
						if (isset ( $this->forum_new ))
							echo $this->forum_new;
						if (isset ( $this->forum_markread ))
							echo ' ' . $this->forum_markread;
						if (isset ( $this->thread_subscribecat ))
							echo ' ' . $this->thread_subscribecat;
							echo '</div>';
							}
							?></span>
						</dd>
						<dd class="tk-pagination">
							<?php
								//pagination 2
								if (count ( $this->messages ) > 0) {
								echo $pagination;
								}
							?>
						</dd>
					</dl>
				</li>
			</ul>
			<?php if (count ( $this->modslist ) > 0) : ?>
			<ul class="topiclist forums">
				<li class="row">
					<dl class="icon">
					<dt></dt>
						<dd class="tk-thread-action tk-modlist">
							<div class="kbox-bottomarea-modlist"><?php
								echo '' . JText::_('COM_KUNENA_GEN_MODERATORS') . ": ";
								foreach ( $this->modslist as $mod ) {
									echo CKunenaLink::GetProfileLink ( intval($mod->userid) ) . '&nbsp; ';
									}
								?>
							</div>
						</dd>
					</dl>
				</li>
			</ul>
			<?php endif; ?>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
