<?php
/**
* @version $Id: userlist.php 3498 2010-09-16 09:20:18Z mahagr $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
*
* Based on FireBoard Component
* @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.bestofjoomla.com
**/

// Dont allow direct linking
defined( '_JEXEC' ) or die();

$document=& JFactory::getDocument();
$option=JRequest::getCmd ( 'option' );

$document->setTitle(JText::_('COM_KUNENA_USRL_USERLIST') . ' - ' . $this->escape($this->config->board_title));

$document->addScriptDeclaration( "// <![CDATA[
function tableOrdering( order, dir, task ) {
	var form=document.adminForm;
	form.filter_order.value=order;
	form.filter_order_Dir.value=dir;
	document.adminForm.submit( task );
}
document.addEvent('domready', function() {
	// Attach auto completer to the following ids:
	new Autocompleter.Request.JSON('kusersearch', '" . CKunenaLink::GetJsonURL('autocomplete', 'getuser') . "', { 'postVar': 'value' });
});
// FIXME: do not use alert:
function validate() {
	if ((document.usrlform.search == '') || (document.usrlform.search.value == '')) {
		alert('" . JText::_('COM_KUNENA_USRL_SEARCH_ALERT') . "');
		return false;
	} else {
		return true;
	}
}
// ]]>");
?>
<div class="forumlist tk-userlist-top">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon userlist-top">
						<dt>
							<span class="ktitle kl"> <?php echo JText::_('COM_KUNENA_USRL_USERLIST'); ?></span>
						</dt>
					</dl>
				</li>
			</ul>
			<ul id="" class="topiclist forums">
				<li class="row">
					<dl class="icon tk-usersearch">
					<dt></dt>
						<dd>
							<div class="fltlft ktitle kl">
								<?php printf(JText::_('COM_KUNENA_USRL_REGISTERED_USERS'), $this->app->getCfg('sitename'), $this->total); ?>
							</div>
							<div class="fltrt">
								<form name="usrlform" method="post" action="<?php echo CKunenaLink::GetUserlistPostURL(); ?>" onsubmit="return validate()">
								<input type = "text" name = "search"  class = "inputbox" maxlength = "100" value = "<?php echo $this->search; ?>" onblur = "if(this.value=='') this.value='<?php echo $this->search; ?>';" onfocus = "if(this.value=='<?php echo $this->search; ?>') this.value='';" />
								<input type = "image" src = "<?php echo KUNENA_TMPLTMAINIMGURL .'/images/usl_search_icon.png' ;?>" alt = "<?php echo JText::_('COM_KUNENA_USRL_SEARCH'); ?>" align = "top" style = "border: 0px;"/>
								<?php echo JHTML::_( 'form.token' ); ?>
								</form>
							</div>
						</dd>
					</dl>
				</li>
			</ul>
			<span class="corners-bottom"><span></span></span>
		</div>
	</div>

<div class="forumlist tk-userlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
		<form action="<?php echo CKunenaLink::GetUserlistURL(); ?>" method="post" name="adminForm">
			<ul class="topiclist">
				<li class="header">
					<dl class="icon userlist">
						<?php if ($this->config->userlist_avatar) { ?>
						<dt class="uslavatar">
							<?php echo JText::_('COM_KUNENA_USRL_AVATAR'); ?> /
							<?php echo JText::_('COM_KUNENA_MYPROFILE_RANK'); ?>
						</dt>
						<?php } ?>
						<?php if ($this->config->userlist_name) { ?>
						<dd class="uslname">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_NAME'), 'name', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_username) { ?>
						<dd class="uslusername">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_USERNAME'), 'username', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_posts) { ?>
						<dd class="uslposts">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_POSTS'), 'posts', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_userhits) { ?>
						<dd class = "uslhits">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_HITS'), 'uhits', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_karma) { ?>
						<dd class="uslkarma">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_KARMA'), 'karma', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_email) { ?>
						<dd class="uslemail">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_EMAIL'), 'email', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if (($this->config->userlist_email)) { ?>
						<dd class="uslemail">
							<?php echo  JHTML::_( 'grid.sort', JText::_('COM_KUNENA_MYPROFILE_WEBSITE'), 'website', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_usertype) { ?>
						<dd class="uslusertype">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_USERTYPE'), 'usertype', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_joindate) { ?>
						<dd class = "usljoin">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_JOIN_DATE'), 'registerDate', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_lastvisitdate) { ?>
						<dd class = "usllastvisit">
							<?php echo JHTML::_( 'grid.sort', JText::_('COM_KUNENA_USRL_LAST_LOGIN'), 'lastvisitDate', $this->order_dir, $this->order); ?>
						</dd>
						<?php } ?>
					</dl>
				</li>
			</ul>
			<ul id="userlist_tbody" class="topiclist forums">
						<?php
						$i=1;
						foreach ($this->users as $user) :
							$evenodd = $i % 2;
							$nr = $i + $this->limitstart;
							$i++;
							if ($evenodd == 0) {
								$usrl_class="row1";
							}
							else {
								$usrl_class="row2";
							}
							$profile=KunenaFactory::getUser(intval($user->id));
							$uslavatar=$profile->getAvatarLink('usl_avatar', 'list');
								$rank = $profile->getRank();
								$rank_title = $rank->rank_title;
								$rank_image = KUNENA_URLRANKSPATH . $rank->rank_image;
						?>
				<li class="row">
					<dl class="icon">
						<?php if ($this->config->userlist_avatar) { ?>
						<dt class="uslavatar">
							<span>
							<span class="tk-rank">
							<?php echo $rank_title; ?><br />
								<img src="<?php echo $rank_image;?>" /></span>
							</span>
							<span class="tk-avatar"><?php echo !empty($uslavatar) ? CKunenaLink::GetProfileLink(intval($user->id), $uslavatar) : '&nbsp;' ?></span>
						</dt>
						<?php } ?>
						<?php if ($this->config->userlist_name) { ?>
						<dd class="uslname">
							<?php echo CKunenaLink::GetProfileLink(intval($user->id), $this->escape($user->name)); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_username) { ?>
						<dd  class="uslusername">
							<?php echo CKunenaLink::GetProfileLink(intval($user->id), $this->escape($user->username)); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_posts) { ?>
						<dd class="uslposts">
							<?php echo intval($user->posts); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_userhits) { ?>
						<dd class="uslhits">
							<?php echo intval($user->uhits); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_karma) { ?>
						<dd class="uslkarma">
							<?php echo intval($user->karma); ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_email) { ?>
						<dd class="uslemail">
							<a href="mailto:<?php echo $this->escape($user->email) ?>">
							<input type = "image" src = "<?php echo KUNENA_TMPLTMAINIMGURL .'/images/sendemail.gif' ;?>" alt = "<?php echo JText::_('COM_KUNENA_USRL_SEARCH'); ?>" align = "top" style = "border: 0px;"/>
							</a>
						</dd>
						<?php } ?>
						<?php if (($this->config->userlist_email)) { ?>
						<dd class="uslemail">
							<a href="<?php echo kunena_htmlspecialchars(stripslashes($user->websiteurl)); ?>"><?php if (isset($user->websiteurl)){ ?>
							<input type = "image" src = "<?php echo KUNENA_TMPLTMAINIMGURL .'/images/style/icons/website.png' ;?>" alt = "<?php echo $this->escape($user->websitename); ?>" title = "<?php echo $this->escape($user->websitename); ?>" style = "border: 0px;"/>
							<?php } else { ?><input type = "image" src = "<?php echo KUNENA_TMPLTMAINIMGURL .'/images/style/icons/website_off.png'; ?>" alt="" /><?php } ?></a>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_usertype) { ?>
						<dd class="uslusertype">
							<?php echo $this->escape($user->usertype) ?>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_joindate) { ?>
						<dd class="usljoin">
							<span title="<?php echo CKunenaTimeformat::showDate($user->registerDate, 'ago', 'utc'); ?>" ><?php echo CKunenaTimeformat::showDate($user->registerDate, 'datetime_today', 'utc'); ?></span>
						</dd>
						<?php } ?>
						<?php if ($this->config->userlist_lastvisitdate) { ?>
						<dd class="usllastvisit">
							<span title="<?php echo CKunenaTimeformat::showDate($user->lastvisitDate, 'ago', 'utc'); ?>" ><?php echo CKunenaTimeformat::showDate($user->lastvisitDate, 'datetime_today', 'utc'); ?></span>
						</dd>
						<?php }
						$isonline=$profile->isOnline();
						?>
						<dd class="uslstatus-<?php echo $isonline ? 'yes':''; ?>"></dd>
					</dl>
				</li>
				<?php endforeach; ?>
			</ul>
					<input type="hidden" name="option" value="<?php echo $option; ?>">
					<input type="hidden" name="filter_order" value="<?php echo intval($this->order); ?>" />
					<input type="hidden" name="filter_order_Dir" value="<?php echo intval($this->order_dir); ?>" />
				</form>
				<form name="usrlform" method="post" action="<?php echo CKunenaLink::GetUserlistPostURL(); ?>" onsubmit="return false;">
					<ul>
						<li class="row tk-pagecount">
							<div class="tk-pagecount">
								<?php echo $this->pageNav->getPagesLinks(CKunenaLink::GetUserlistURL($this->searchuri));?>   <?php echo $this->pageNav->getPagesCounter(); ?> | <?php echo JText::_('COM_KUNENA_USRL_DISPLAY_NR'); ?> <?php echo $this->pageNav->getLimitBox(CKunenaLink::GetUserlistURL($this->searchuri)); ?>
							</div>
						</li>
				</ul>
				</form>
			<span class="corners-bottom"><span></span></span>
		</div>
	</div>

<?php $this->displayWhoIsOnline(); ?>

