<?php
/**
 * @version $Id: message.profilebox.php 2955 2010-07-08 11:01:14Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2009 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

if (!isset($this->showUnusedSocial)) $this->showUnusedSocial = false;
?>
<div class="status-<?php echo ($this->params->get('avatarPosition') == 'top') ? 'top-':'bottom-'; ?><?php echo $this->profile->isOnline() ? 'yes':'no'; ?>"></div>
	<dt>
		<?php echo CKunenaLink::GetProfileLink ( intval($this->profile->userid), $this->avatar ); ?>
	</dt>
	<dd class="tk-view-uname">
		<ul>
			<li class="view-username">
				<?php if ($this->profile->userid) { echo CKunenaLink::GetProfileLink ( intval($this->profile->userid), $this->escape($this->username) ); } else { echo $this->escape($this->username); } ?>
			</li>
			<?php if ($this->userranktitle) : ?>
			<li>
				<?php echo $this->escape($this->userranktitle) ?>
			</li>
			<?php endif ?>
			<?php if ($this->userrankimage) : ?>
			<li>
				<?php echo $this->userrankimage ?>
			</li>
			<?php endif ?>
		</ul>
	</dd>
	<dd class="tk-wiew-points">
		<ul>
			<li>
				<?php if ($this->usertype) : ?><span class = "msgusertype">( <?php echo $this->escape($this->usertype) ?> )</span><?php endif ?>
			</li>
			<li>
				<?php if ($this->userposts) : ?><?php echo JText::_('COM_KUNENA_POSTS') . intval($this->userposts); ?><?php endif ?>
			</li>
			<li>
				<?php if ($this->userpoints) : ?><?php echo JText::_('COM_KUNENA_AUP_POINTS') . intval($this->userpoints); ?><?php endif ?>
			</li>
			<li>
				<span class="karma"><?php echo $this->userkarma ?></span>
			</li>
		</ul>
	</dd>
	<?php if ($this->personaltext) : ?>
	<dd class="tk-wiew-perstext">
		<ul>
			<li>
				<?php echo KunenaParser::parseText($this->personaltext) ?>
			</li>
			<?php if (!empty ( $this->ipLink )) : ?>
			<li class="userip-topbot">
				<span><?php echo $this->ipLink ?></span>
			</li>
			<?php endif ?>
		</ul>
	</dd>
	<?php endif ?>
	<?php if ($this->my->id != '0' || $this->config->hideuserprofileinfo == 'hide_prof') : ?>
	<dd class="view-personalimage tk-profile-hor">
			<?php echo $this->profile->profileIcon('gender'); ?>
			<?php echo $this->profile->profileIcon('birthdate'); ?>
			<?php echo $this->profile->profileIcon('location'); ?>
			<?php echo $this->profile->profileIcon('website'); ?>
			<?php echo $this->profile->profileIcon('private'); ?>
			<?php echo $this->profile->profileIcon('email'); ?>
	</dd>
	<?php endif; ?>
