<?php
/**
 * @version $Id: message.profilebox.php 2955 2010-07-08 11:01:14Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2009 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

if (!isset($this->showUnusedSocial)) $this->showUnusedSocial = true;
?>

<div class="status-<?php echo ($this->params->get('avatarPosition') == 'left') ? 'left-':'right-'; ?><?php echo $this->profile->isOnline() ? 'yes':''; ?>"></div>
	<dt class="view-avatar">
		<span class="kavatar">
			<?php echo CKunenaLink::GetProfileLink ( intval($this->profile->userid), $this->avatar ); ?>
		</span>
	</dt>
	<dd class="view-username">
		<?php if ($this->profile->userid) { echo CKunenaLink::GetProfileLink ( intval($this->profile->userid), $this->escape($this->username) ); } else { echo $this->escape($this->username); } ?>
	</dd>
	<?php if ($this->userranktitle) : ?>
	<dd class="view-ranktitle">
		<?php echo $this->escape($this->userranktitle) ?>
	</dd>
	<?php endif; ?>
	<?php if ($this->usertype) : ?>
	<dd class="view-usertype">
		( <?php echo $this->escape($this->usertype) ?> )
	</dd>
	<?php endif; ?>
	<?php if ($this->userrankimage) : ?>
	<dd class="view-rankimage">
		<?php echo $this->userrankimage ?>
	</dd>
	<?php endif ?>
	<?php if ($this->userposts) : ?>
	<dd class="view-userpost">
		<?php echo JText::_('COM_KUNENA_POSTS') . intval($this->userposts); ?>
	</dd>
	<?php endif ?>
	<?php if ($this->userpoints) : ?>
	<dd class="view-userpoints">
		<?php echo JText::_('COM_KUNENA_AUP_POINTS') . intval($this->userpoints); ?>
	</dd>
	<?php endif ?>
	<?php if ($this->my->id != '0') : ?>
	<dd class="view-personalimage">
		<?php echo $this->profile->profileIcon('gender'); ?>
		<?php echo $this->profile->profileIcon('birthdate'); ?>
		<?php echo $this->profile->profileIcon('location'); ?>
		<?php echo $this->profile->profileIcon('website'); ?>
		<?php echo $this->profile->profileIcon('private'); ?>
		<?php echo $this->profile->profileIcon('email'); ?>
	</dd>
	<?php endif; ?>
	<dd class="view-karma">
		<span class="karma"><?php echo $this->userkarma ?></span>
	</dd>
	<?php if ($this->personaltext) : ?>
	<dd class="view-personaltext">
		<?php echo KunenaParser::parseText($this->personaltext) ?>
	</dd>
	<?php endif; ?>
	<?php if (!empty ( $this->ipLink )) : ?>
	<dd class="userip">
		<span><?php echo $this->ipLink ?></span>
	</dd>
	<?php endif; ?>