<?php
/**
* @version $Id: edit.php 2489 2010-05-15 18:28:34Z mahagr $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
**/
// Dont allow direct linking
defined( '_JEXEC' ) or die();

$document = JFactory::getDocument();
$document->setTitle(JText::_('COM_KUNENA_ANN_ANNOUNCEMENTS') . ' - ' . $this->escape($this->config->board_title));
JHTML::_('behavior.formvalidation');
$document->addScriptDeclaration('
	function myValidate(f) {
	if (document.formvalidator.isValid(f)) {
		return true;
	}
	return false;
}
');
?>
 <div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon annbox">
						<dt style="body">
						<span class = "ktitle kl"><?php echo JText::_('COM_KUNENA_ANN_ANNOUNCEMENTS'); ?>: <?php echo $this->id ? JText::_('COM_KUNENA_ANN_EDIT') : JText::_('COM_KUNENA_ANN_ADD'); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="annedit_body"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="annedit_body" class="topiclist forums">
				<li class="rowfull">
					<dl class="icon caticon-annediticon">
						<dt class="body"></dt><dd class="first">
							<div class="kblock kannouncement">
								<div class="kcontainer" id="kannouncement">
									<div class="kactions"><?php echo CKunenaLink::GetAnnouncementLink('show',NULL, JText::_('COM_KUNENA_ANN_CPANEL'), JText::_('COM_KUNENA_ANN_CPANEL')); ?></div>
										<div class="kbody">
											<div class="kanndesc">
												<form class="form-validate" action="<?php echo CKunenaLink::GetAnnouncementURL('doedit'); ?>" method="post" name="editform" onsubmit="return myValidate(this);">
												<?php echo JHTML::_( 'form.token' ); ?>
												<div class="kheader">
													<?php echo JText::_('COM_KUNENA_ANN_TITLE'); ?>:
												</div>
												<div class="kbody">
													<input class="klarge" type="text" name="title" size="150" value="<?php echo $this->escape($this->announcement->title) ;?>"/>
												</div>
												<div class="kheader">
													<?php echo JText::_('COM_KUNENA_ANN_SORTTEXT'); ?>:
												</div>
												<div class="kbody">
													<textarea class="ksmall" rows="80" cols="4" name="sdescription"><?php echo $this->escape($this->announcement->sdescription); ?></textarea>
												</div>
												<div class="kheader">
													<?php echo JText::_('COM_KUNENA_ANN_LONGTEXT'); ?>:
												</div>
												<div class="kbody">
													<textarea class="klarge" rows="80" cols="16" name="description"><?php echo $this->escape($this->announcement->description); ?></textarea>
												</div>
												<div class="koption">
												<label>
													<?php echo JText::_('COM_KUNENA_ANN_DATE'); ?>:
													<?php echo JHTML::_('calendar', $this->escape($this->announcement->created), 'created', 'addcreated');?>
												</label>
												</div>
												<div class="koption">
													<label>
														<?php echo JText::_('COM_KUNENA_ANN_SHOWDATE'); ?>:
														<select name="showdate">
															<option value="1" <?php echo ($this->announcement->showdate == 1 ? 'selected="selected"' : ''); ?>><?php echo JText::_('COM_KUNENA_ANN_YES'); ?></option>
															<option value="0" <?php echo ($this->announcement->showdate == 0 ? 'selected="selected"' : ''); ?>><?php echo JText::_('COM_KUNENA_ANN_NO'); ?></option>
														</select>
													</label>
												</div>
												<div class="koption">
													<label>
														<?php echo JText::_('COM_KUNENA_ANN_PUBLISH'); ?>:
														<select name="published">
															<option value="1" <?php echo ($this->announcement->published == 1 ? 'selected="selected"' : ''); ?>><?php echo JText::_('COM_KUNENA_ANN_YES'); ?></option>
															<option value="0" <?php echo ($this->announcement->published == 0 ? 'selected="selected"' : ''); ?>><?php echo JText::_('COM_KUNENA_ANN_NO'); ?></option>
														</select>
													</label>
												</div>
												<input type='hidden' name="do" value="doedit"/>
												<input type='hidden' name="id" value="<?php echo intval($this->announcement->id) ;?>"/>
												<input class="kbutton" name="submit" type="submit" value="<?php echo JText::_('COM_KUNENA_ANN_SAVE'); ?>"/>
											</form>
										</div>
									</div>
								</div>
							</div>
						</dd>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>