<?php
/**
* @version $Id: icons.php 1978 2010-02-23 03:24:10Z severdia $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
*
* Based on FireBoard Component
* @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.bestofjoomla.com
*
* Based on Joomlaboard Component
* @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @author TSMF & Jan de Graaff
**/

/*
 * Instructions:
 *
 * Put the file names of your custom Icon Set in this file.
 * If you didn't use a particular Icon, you can comment out the line:
 *
 * // $kunena_icons['delete']='delete.gif';
 *
 * If icon wasn't found from your template, Kunena tries to find alternate icon
 * from default template. If no icon is found, text will be used instead.
 */
$kunena_icons['pollicon'] = 'poll_32.png';
$kunena_icons['unread'] = 'new.png';
$kunena_icons['hot'] = 'hot.png';
$kunena_icons['favoritestar'] = 'favoritestar.png';
$kunena_icons['favoritestar_grey'] = 'favoritestar-grey.png';
$kunena_icons['forumlocked'] = 'lock_24.png';
$kunena_icons['forummoderated'] = 'tmoder_24.png';
$kunena_icons['unreadforum'] = 'folder.png';
$kunena_icons['readforum'] = 'folder_nonew.png';
$kunena_icons['notloginforum'] = 'folder_nonew.png';
$kunena_icons['unreadforum_childsmall'] = 'folder_sm.png';
$kunena_icons['readforum_childsmall'] = 'older_nonew_sm.png';
$kunena_icons['notloginforum_childsmall'] = 'folder_nonew_sm.png';
$kunena_icons['unreadforum_s'] = 'folder_sm.png';
$kunena_icons['readforum_s'] = 'folder_nonew_sm.png';
$kunena_icons['notloginforum_s'] = 'folder_nonew_sm.png';
$kunena_icons['toparrow'] = 'top_arrow.png';
$kunena_icons['bottomarrow'] = 'bottom_arrow.png';
$kunena_icons['latestpost'] = 'icon_topic_latest.gif';
$kunena_icons['topicsticky'] = 'sticky.png';
$kunena_icons['topiclocked'] = 'lock_sm.png';
$kunena_icons['userprofile'] = 'profile.gif';
$kunena_icons['pms2'] = 'pm.png';
$kunena_icons['pms'] = 'pm.png';
$kunena_icons['onlineicon'] = 'online.gif';
$kunena_icons['offlineicon'] = 'offline.gif';
$kunena_icons['msgip'] = 'ip.gif';
$kunena_icons['website'] = 'website.png';
$kunena_icons['male'] = 'male.png';
$kunena_icons['female'] = 'female.png';
$kunena_icons['location'] = 'location.png';
$kunena_icons['birthdate'] = 'birthday.png';
$kunena_icons['email'] = 'email.png';
$kunena_icons['aim'] = 'aim.png';
$kunena_icons['bebo'] = 'bebo.png';
$kunena_icons['blogger'] = 'blogger.png';
$kunena_icons['delicious'] = 'delicious.png';
$kunena_icons['digg'] = 'digg.png';
$kunena_icons['facebook'] = 'facebook.png';
$kunena_icons['flickr'] = 'flickr.png';
$kunena_icons['friendfeed'] = 'friendfeed.png';
$kunena_icons['googletalk'] = 'googletalk.png';
$kunena_icons['linkedin'] = 'linkedin.png';
$kunena_icons['myspace'] = 'myspace.png';
$kunena_icons['skype'] = 'skype.png';
$kunena_icons['twitter'] = 'twitter.png';
$kunena_icons['yahoo'] = 'yahoo.png';
$kunena_icons['topicattach'] = 'attachment_picc.png';
$kunena_icons['topicunaproved'] = 'unaproved_picc.png';
$kunena_icons['topicdeleted'] = 'deleted_picc.png';
$kunena_icons['rss'] = 'rss.png';

// Topic icons
$topic_emoticons = array ();
$topic_emoticons [0] = 'topic-default.png';
$topic_emoticons [1] = 'topic-exclamation.png';
$topic_emoticons [2] = 'topic-question.png';
$topic_emoticons [3] = 'topic-arrow.png';
$topic_emoticons [4] = 'topic-love.png';
$topic_emoticons [5] = 'topic-grin.gif';
$topic_emoticons [6] = 'topic-shock.gif';
$topic_emoticons [7] = 'info.png';
if ($this->params->get('showStatus') == '1') :
if ($this->params->get('solvedIcon') != '-1') {
$topic_emoticons [8] = $this->params->get('solvedIcon');
}
if ($this->params->get('onholdIcon') != '-1') {
$topic_emoticons [9] = $this->params->get('onholdIcon');
}
if ($this->params->get('assignedIcon') != '-1') {
$topic_emoticons [10] = $this->params->get('assignedIcon');
}
if ($this->params->get('revisedIcon') != '-1') {
$topic_emoticons [11] = $this->params->get('revisedIcon');
}
if ($this->params->get('archivedIcon') != '-1') {
$topic_emoticons [12] = $this->params->get('archivedIcon');
}
if ($this->params->get('underreviewIcon') != '-1') {
$topic_emoticons [13] = $this->params->get('underreviewIcon');
}
if ($this->params->get('declinedIcon') != '-1') {
$topic_emoticons [14] = $this->params->get('declinedIcon');
}
if ($this->params->get('acceptedIcon') != '-1') {
$topic_emoticons [15] = $this->params->get('acceptedIcon');
}
if ($this->params->get('invitedIcon') != '-1') {
$topic_emoticons [16] = $this->params->get('invitedIcon');
}
endif;
