<?php
/**
* @version $Id: initialize.php 2751 2010-06-16 15:46:57Z mahagr $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
**/

$document = JFactory::getDocument();
$template = KunenaFactory::getTemplate();
$this->params = $template->params;
// Template requires Mootools 1.2 framework
if (method_exists ( $template, 'loadMootools' )) {
	$template->loadMootools();
} else {
	JHTML::_ ( 'behavior.mootools' );
}
$lang =& JFactory::getLanguage();
$lang->load( 'com_kunena.tpl_A1', KUNENA_PATH_TEMPLATE.DS.'A1/' );
// We load smoothbox library
CKunenaTools::addScript( KUNENA_DIRECTURL . 'js/slimbox/slimbox-min.js' );
// New Kunena JS for default template
CKunenaTools::addScript ( KUNENA_DIRECTURL . 'template/default/js/default-min.js' );
include_once ( KUNENA_ABSTMPLTPATH . '/styles/custom.php' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/kunena.forum.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/colours-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/categories-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/common-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/menu-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/moderate-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/plugins-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/profile-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/search-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/threads-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/view-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/login-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/editor-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/icons-min.css' );
CKunenaTools::addStyleSheet ( KUNENA_DIRECTURL . 'template/A1/css/images-min.css' );

$mediaurl = JURI::base() . "components/com_kunena/template/A1/media";
$styles = <<<EOF
#Kunena .kicon-profile {
	background-image: url("{$mediaurl}/iconsets/profile/{$this->params->get('profileIconset')}/default.png");
}
EOF;

$document->addStyleDeclaration($styles);
?>
