<?php
/**
 * @version $Id: logout.php 2979 2010-07-10 14:03:27Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();
require_once (KUNENA_PATH_LIB . DS . 'kunena.login.php');
$this->user = JFactory::getUser();
$this->config = KunenaFactory::getConfig ();
$type = CKunenaLogin::getType ();
$return = CKunenaLogin::getReturnURL ( $type );
$avatar = CKunenaLogin::getMyAvatar();

$logout = CKunenaLogin::getlogoutFields();
$private = KunenaFactory::getPrivateMessaging();
$PMCount = $private->getUnreadCount($this->my->id);
$PMlink = $private->getInboxLink($PMCount ? JText::sprintf('COM_KUNENA_PMS_INBOX_NEW', $PMCount) : JText::_('COM_KUNENA_PMS_INBOX'));
?>
<?php if ($this->params->get('loginboxShow') == '1') { ?>
<div class="forumlist <?php if ($this->params->get('topmenuShow') == '1') : echo 'tk-clear'; endif; ?> tk-logoutbox">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
		<?php if ($this->params->get('topmenuShow') == '1') { } else {?>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon login">
						<dt>
							<span class="ktitle kl">
								<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGOUT'); ?>
							</span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="profilebox"></a></dd>
					</dl>
				</li>
			</ul>
		<?php } ?>
			<div id ="profilebox">
			<ul class="topiclist forums profilebox">
				<li class="rowfull">
					<dl class="icon">
						<?php if ($avatar) : ?>
						<dt>
							<span class="avatar"><?php echo $avatar; ?></span>
						</dt>
						<?php endif; ?>
						<dd class="cnt">
								<ul class="profilebox-logout">
									<li>
										<?php echo JText::_('COM_KUNENA_PROFILEBOX_WELCOME'); ?>, <strong><?php echo CKunenaLink::GetProfileLink ( $this->user->id, $this->kunena_username ); ;?></strong>
									</li>
									<li><strong><?php echo JText::_('COM_KUNENA_MYPROFILE_LASTVISITDATE'); ?>:</strong> <span title="<?php echo CKunenaTimeformat::showDate($this->user->lastvisitDate, 'ago', 'utc'); ?>"><?php echo CKunenaTimeformat::showDate($this->user->lastvisitDate, 'date_today', 'utc'); ?></span></li>
									<li>
										<form action="<?php echo KUNENA_LIVEURLREL ?>" method="post" name="login">
						<input type="submit" name="submit" class="kbutton" value="<?php echo JText::_('COM_KUNENA_PROFILEBOX_LOGOUT'); ?>" />
						<input type="hidden" name="option" value="<?php echo $logout['option']; ?>" />
						<?php if (!empty($logout['view'])) : ?>
						<input type="hidden" name="view" value="<?php echo $logout['view']; ?>" />
						<?php endif; ?>
						<input type="hidden" name="task" value="<?php echo $logout['task']; ?>" />
						<input type="hidden" name="<?php echo $logout['field_return']; ?>" value="<?php echo $return; ?>" />
						<?php echo JHTML::_ ( 'form.token' ); ?>
										</form>
									</li>
								</ul>
								<ul class="profilebox-links">
									<?php if ($PMlink) : ?>
									<li><?php echo $PMlink; ?></li>
									<?php endif ?>
									<li>
									<?php
										$user_fields = @explode ( ',', $this->config->annmodid );
										if (in_array ( $this->my->id, $user_fields ) || $this->my->usertype == 'Administrator' || $this->my->usertype == 'Super Administrator') {
										$is_editor = true; } else { $is_editor = false; }
										if ($is_editor) { ?>
										<a href="<?php echo CKunenaLink::GetAnnouncementURL ( 'show' ); ?>"><?php echo JText::_('COM_KUNENA_ANN_ANNOUNCEMENTS'); ?></a>
									<?php } ?>
									</li>
								</ul>
						</dd>
						<?php if (JDocumentHTML::countModules ( 'kunena_profilebox' )) { ?>
						<dd class="rt">
							<?php CKunenaTools::showModulePosition( 'kunena_profilebox' ); ?>
						</dd>
						<?php } ?>
					</dl>
				</li>
			</ul>
		<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		</div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php } else { } ?>