<?php
/**
 * @version $Id: moderate.php 2580 2010-05-29 19:11:10Z severdia $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 **/
// Dont allow direct linking
defined ( '_JEXEC' ) or die ();
$this->document->addScriptDeclaration("// <![CDATA[
kunena_url_ajax= '".CKunenaLink::GetJsonURL()."';
// ]]>");
?>

<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
		<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon moderate">
						<dt>
							<span class="ktitle kl"><?php echo $this->moderateTopic ? JText::_('COM_KUNENA_TITLE_MODERATE_TOPIC') : JText::_('COM_KUNENA_TITLE_MODERATE_MESSAGE'); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="help_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="help_tbody" class="topiclist forums">
				<li class="rowfull">
					<dl class="icon moderate">
						<dt>
						</dt>
						<dd class="first">
						<div id="kmod-container">
							<form action="<?php echo CKunenaLink::GetPostURL (); ?>" method="post" name="myform"><input type="hidden" name="do" value="domoderate" />
								<input type="hidden" name="id" value="<?php echo $this->id; ?>" />
								<input type="hidden" name="catid" value="<?php echo $this->catid; ?>" />
								<div>
									<?php echo JText::_('COM_KUNENA_GEN_TOPIC'); ?>:
									<strong><?php echo $this->escape( $this->threadmsg->subject ); ?></strong>
								</div>
								<div>
									<?php echo JText::_('COM_KUNENA_POST_IN_CATEGORY'); ?>:
									<strong><?php echo $this->escape( $this->message->catname ) ?></strong>
								</div>
								<br />
								<?php if (!$this->moderateTopic) : ?>
								<div>
									<?php echo JText::_('COM_KUNENA_MODERATION_TITLE_SELECTED'); ?>:
								</div>
								<div class="kmoderate-message">
									<h4><?php echo $this->escape( $this->message->subject ); ?></h4>
									<div class="kmessage-timeby">
										<span class="kmessage-time" title="<?php echo CKunenaTimeformat::showDate($this->message->time, 'config_post_dateformat_hover'); ?>">
											<?php echo JText::_('COM_KUNENA_POSTED_AT')?> <?php echo CKunenaTimeformat::showDate($this->message->time, 'config_post_dateformat'); ?>
										</span>
										<span class="kmessage-by">
											<?php echo JText::_('COM_KUNENA_GEN_BY') . ' ' . CKunenaLink::GetProfileLink ( intval($this->message->userid), $this->escape($this->message->name) ); ?>
										</span>
									</div>
									<div class="kmessage-avatar">
										<?php echo $this->user->getAvatarLink('', 'lastpost'); ?>
									</div>
									<div class="kmessage-msgtext">
										<?php echo KunenaParser::stripBBCode ($this->message->message, 300) ?>
									</div>
								</div>
								<?php if ($this->threadmsg->replies) : ?>
								<ul>
									<li>
										<input id="kmoderate-mode-selected" type="radio" name="mode" checked="checked" value="<?php echo KN_MOVE_MESSAGE ?>" />
										<?php echo JText::_ ( 'COM_KUNENA_MODERATION_MOVE_SELECTED' ); ?>
									</li>
									<li>
										<input id="kmoderate-mode-newer" type="radio" name="mode" value="<?php echo KN_MOVE_NEWER ?>" >
										<?php echo JText::sprintf ( 'COM_KUNENA_MODERATION_MOVE_NEWER', $this->escape( $this->threadmsg->replies )); ?>
									</li>
								</ul>
								<?php endif; ?>
								<br />
								<?php else : ?>
									<input id="kmoderate-mode-topic" type="hidden" name="mode" value="<?php echo KN_MOVE_THREAD ?>" />
								<?php endif; ?>

								<div><?php echo JText::_ ( 'COM_KUNENA_MODERATION_DEST' );?>:
									<div id="modcategorieslist">
										<?php echo JText::_ ( 'COM_KUNENA_MODERATION_DEST_CATEGORY' );?>:
										<?php echo $this->categorylist ?>
									</div>
									<div id="modtopicslist">
										<?php echo JText::_ ( 'COM_KUNENA_MODERATION_DEST_TOPIC' ); ?>:
										<input id="kmod_targetid" type="text" size="7" name="targetid" value="" style="display: none"/> <?php echo $this->messagelist ?>
									</div>
									<div id="kmod_subject">
										<?php echo JText::_ ( 'COM_KUNENA_MODERATION_TITLE_DEST_SUBJECT' ); ?>:
										<input type="text" name="subject" value="<?php echo $this->escape( $this->message->subject ); ?>" /></div>
									<?php if ($this->moderateTopic) : ?>
									<div>
										<input type="checkbox" <?php if ($this->config->boxghostmessage): ?> checked="checked" <?php endif; ?> name="shadow"value="1" />
										<?php echo JText::_ ( 'COM_KUNENA_MODERATION_TOPIC_SHADOW' ); ?>
									</div>
									<?php endif ?>
								</div>
								<div>
									<input type="submit" class="kbutton" value="<?php echo JText::_ ( 'COM_KUNENA_POST_MODERATION_PROCEED' ); ?>" />
									<a href="javascript:history.back();" class="button" ><span class="kbutton-back"><?php echo JText::_ ( 'COM_KUNENA_BACK' ); ?></span></a>
								</div>
								<?php echo JHTML::_( 'form.token' ); ?>
							</form>
							</div>
						</dd>
					</dl>
				</li>
			</ul>
		<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
