<?php
/**
* @version $Id: pollbox.php 1936 2010-02-17 15:03:32Z mahagr $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2010 www.kunena.com All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
**/
// Dont allow direct linking
defined( '_JEXEC' ) or die();
// FIXME: AJAX Javascript does not work, it needs different logic
//$this->call_javascript_vote();
$dataspollresult = $this->get_poll_data($this->id);
//To show the number total of votes for the poll
$nbvoters = $this->get_number_total_voters($this->id);
//To show the usernames of the users which have voted for this poll
$pollusersvoted = $this->get_users_voted($this->id);
//To know if an user has already voted for this poll
$dataspollusers = $this->get_data_poll_users($this->my->id,$this->id);
$i = 0;
if (!isset($dataspollusers[0]->userid) && !isset($dataspollusers[0]->pollid)) {
	$dataspollusers[0]->userid = null;
	$dataspollusers[0]->pollid = null;

}
  ?>
 <div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon pollbox">
						<dt class="body">
						<span class = "ktitle kl"><?php echo JText::_('COM_KUNENA_POLL_NAME'); ?> <?php echo KunenaParser::parseText ($dataspollresult[0]->title); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="pollbox_body"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="pollbox_body" class="topiclist forums tk-poll-body">
				<li class="rowfull">
					<dl class="icon caticon-pollicon">
						<dt></dt><dd class="first pollfirst">
							<div class = "kpolldesc">
							<?php if ( $dataspollusers[0]->userid == $this->my->id || $this->my->id == "0")//if the user has already voted for this poll
							{ ?>
								<ul class="topiclist forums tk-poll-body">
									<?php foreach ($dataspollresult as $row) { ?>
									<li class="row">
										<dl class="icon">
											<dt>
												<?php echo KunenaParser::parseText ( $row->text ); ?>
											</dt>
											<dd class="tk-poll-bar">
												<img class = "jr-forum-stat-bar" src = "<?php echo KUNENA_JLIVEURL."components/com_kunena/template/default/images/backgrounds/bar.png"; ?>" height = "10" width = "<?php if(isset($row->votes)) { echo (intval($row->votes*25)/5); } else { echo "0"; }?>" />
											</dd>
											<dd class="posts">
												<?php if(isset($row->votes) && ($row->votes > 0)) { echo intval($row->votes); } else { echo JText::_('COM_KUNENA_POLL_NO_VOTE'); } ?>
											</dd>
											<dd class="posts">
												<?php if($row->votes != '0' && $nbvoters != '0' ) { echo round(($row->votes*100)/$nbvoters,1)."%"; } else { echo "0%"; } ?>
											</dd>
										</dl>
									</li>
									<?php } ?>
									<li>
										<dl>
											<dt class="body pollvoters">
												<?php if(empty($nbvoters)){$nbvoters = "0";} echo JText::_('COM_KUNENA_POLL_VOTERS_TOTAL')."<b>".$nbvoters."</b> ";
													if($this->config->pollresultsuserslist){ if(!empty($pollusersvoted)){ echo " ( ";
													foreach($pollusersvoted as $row){ echo CKunenaLink::GetProfileLink(intval($row->userid))." "; } echo " ) "; } } ?>
											</dt>
										</dl>
									</li>
									<?php if ($this->my->id == "0") { ?>
									<li>
										<dl>
											<dt class="body"></dt><dd class="pollfirst">
												<?php echo JText::_('COM_KUNENA_POLL_NOT_LOGGED'); ?>
											</dd>
										</dl>
									</li>
									<?php } else { if (!$this->config->pollallowvoteone) { ?>
									<li>
										<dl>
											<dt class="body"></dt><dd class="pollfirst">
										<a href = "<?php echo CKunenaLink::GetPollURL('vote', intval($this->id), intval($this->catid));?>">
										<?php echo JText::_('COM_KUNENA_POLL_BUTTON_VOTE'); ?></a>
											</dd>
										</dl>
									</li>
									<?php } else { ?>
									<li>
										<dl>
											<dt class="body"></dt><dd class="pollfirst">
										<a href = "<?php echo CKunenaLink::GetPollURL('changevote', intval($this->id), intval($this->catid)); ?>">
										<?php echo JText::_('COM_KUNENA_POLL_BUTTON_CHANGEVOTE'); ?></a>
											</dd>
										</dl>
									</li>
									<?php } } ?>
								</ul>

							<?php } elseif ((strftime("%Y-%m-%d %H:%M:%S",time()) <= $dataspollresult[0]->polltimetolive)
							|| $dataspollresult[0]->polltimetolive == "0000-00-00 00:00:00") { ?>
								<div id="kpoll-text-help"></div>
						<form id="kpoll-form-vote" method="post" action="<?php echo CKunenaLink::GetPollsURL('vote', intval($this->catid)); ?>">
							<fieldset>
								<legend><?php echo JText::_('COM_KUNENA_POLL_OPTIONS'); ?></legend>
								<ul>
									<?php foreach ($dataspollresult as $i=>$option) : ?>
									<li>
										<input class="kpoll-boxvote" type="radio" name="kpollradio" id="radio_name<?php echo intval($i) ?>" value="<?php echo intval($option->id) ?>" />
										<?php echo KunenaParser::parseText ($option->text ) ?>
									</li>
									<?php endforeach; ?>
								</ul>
								<input type="hidden" name="kpoll-id" value="<?php echo intval($this->id); ?>" />
							</fieldset>
							<div id="kpoll-btns">
								<input id="kpoll-button-vote" class="kbutton ks" type="submit" value="<?php echo JText::_('COM_KUNENA_POLL_BUTTON_VOTE'); ?>" />
								<?php if($dataspollusers[0]->userid == $this->my->id) : ?>
								<a href = "<?php echo CKunenaLink::GetPollURL('changevote', $this->id, $this->catid); ?>"><?php echo JText::_('COM_KUNENA_POLL_BUTTON_CHANGEVOTE'); ?></a>
								<?php endif; ?>
							</div>
							<input type="hidden" id="kpollvotejsonurl" value="<?php echo CKunenaLink::GetJsonURL('pollvote'); ?>" />
						</form>
								<?php } else { ?>

								<ul class="topiclist forums tk-poll-body">
									<?php foreach ($dataspollresult as $row) { ?>
									<li class="row">
										<dl class="icon">
											<dt>
												<?php echo KunenaParser::parseText ($row->text); ?>
											</dt>
											<dd class="tk-poll-bar">
												<img class = "jr-forum-stat-bar" src = "<?php echo KUNENA_JLIVEURL."components/com_kunena/template/default/images/backgrounds/bar.png"; ?>" height = "10" width = "<?php if(isset($row->votes)) { echo ($row->votes*25)/5; } else { echo "0"; }?> " />
											</dd>
											<dd class="posts">
												<?php if(isset($row->votes) && ($row->votes > 0)) { echo intval($row->votes); } else { echo JText::_('COM_KUNENA_POLL_NO_VOTE'); } ?>
											</dd>
											<dd class="posts">
												<?php if($row->votes != "0") { echo round(($row->votes*100)/$nbvoters,1)."%"; } else { echo "0%"; } ?>
											</dd>
										</dl>
									</li>
									<?php } ?>
									<li>
										<dl>
											<dt class="body pollvoters">
												<?php if(empty($nbvoters)){$nbvoters = "0";} echo JText::_('COM_KUNENA_POLL_VOTERS_TOTAL')."<b>".$nbvoters."</b> ";
													if($this->config->pollresultsuserslist){ if(!empty($pollusersvoted)){ echo " ( "; foreach($pollusersvoted as $row){ echo CKunenaLink::GetProfileLink(intval($row->userid))." "; } echo " ) "; } } ?>
											</dt>
										</dl>
									</li>
									<?php if ($this->my->id == "0") { ?>
									<li>
										<dl>
											<dt class="body">
												<?php echo JText::_('COM_KUNENA_POLL_NOT_LOGGED'); ?>
											</dt>
										</dl>
									</li>
									<?php } else { if (!$this->config->pollallowvoteone) { ?>
									<li>
										<dl>
											<dt class="body">
									<a href = "<?php echo CKunenaLink::GetPollURL('vote', $this->id, $this->catid);?>">
										<?php echo JText::_('COM_KUNENA_POLL_BUTTON_VOTE'); ?>
									</a>
											</dt>
										</dl>
									</li>
									<?php } else { ?>
									<li>
										<dl>
											<dt class="body">
									<a href = <?php echo CKunenaLink::GetPollURL('changevote', $this->id, $this->catid); ?>>
										<?php echo JText::_('COM_KUNENA_POLL_BUTTON_CHANGEVOTE'); ?>
									</a>
											</dt>
										</dl>
									</li>
									<?php }
									} ?>
								</ul>
							<?php } ?>
						</div>
						</dd>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
