<?php
/**
* @version $Id: whoisonline.php 1890 2010-02-04 23:24:48Z mahagr $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
*
* Based on FireBoard Component
* @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.bestofjoomla.com
*
* Based on Joomlaboard Component
* @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @author TSMF & Jan de Graaff
**/

// Dont allow direct linking
defined( '_JEXEC' ) or die();
$document = JFactory::getDocument();
$template = KunenaFactory::getTemplate();
$this->params = $template->params;
if ($this->config->showwhoisonline)
{
	$kunena_config = KunenaFactory::getConfig ();
	$users = 		$this->getActiveUsersList();
	$totaluser = 	$this->getTotalRegistredUsers ();
	$totalguests = 	$this->getTotalGuestUsers ();
	$who_name = 	$this->getTitleWho ($totaluser,$totalguests);
?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon whoisonline">
						<dt>
							<?php
							$who_online = JText::_('COM_KUNENA_WHO_WHOIS_ONLINE');
							if ( CKunenaTools::isModerator($this->my->id) ) {
								echo CKunenaLink::GetWhoIsOnlineLink($who_online,'ktitle kl');
							} else {
								echo '<span class="ktitle kl">'.$who_online.'</span>';
							}
							?>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="whoisonline_tbody"></a></dd>
					</dl>
				</li>
			</ul><div id="whoisonline_tbody">
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon whoisonline">
					<dt></dt>
					<dd class="first body">
					<div class="whoonline km">
						<?php
							//$totalhiden = '';
							$totalusers = ($totaluser + $totalguests);
							$who_name = JText::_('COM_KUNENA_WHO_TOTAL') ;
							$who_name .= '<strong>&nbsp;'.$totalusers.'</strong>&nbsp;';
							if($totalusers==1) { $who_name .= JText::_('COM_KUNENA_WHO_USER').'&nbsp;'; } else { $who_name .= JText::_('COM_KUNENA_WHO_USERS').'&nbsp;'; }
							$who_name .= JText::_('COM_KUNENA_WHO_TOTAL_USERS_ONLINE').'&nbsp;&nbsp;::&nbsp;&nbsp;';
							$who_name .= '<strong>'.$totaluser.' </strong>';
							if($totaluser==1) { $who_name .= JText::_('COM_KUNENA_WHO_ONLINE_MEMBER').'&nbsp;'; } else { $who_name .= JText::_('COM_KUNENA_WHO_ONLINE_MEMBERS').'&nbsp;'; }
							$who_name .= JText::_('COM_KUNENA_WHO_AND');
							$who_name .= '<strong> '. $totalguests.' </strong>';
							if($totalguests==1) { $who_name .= JText::_('COM_KUNENA_WHO_ONLINE_GUEST').'&nbsp;'; } else { $who_name .= JText::_('COM_KUNENA_WHO_ONLINE_GUESTS').'&nbsp;'; }
							echo $who_name;
						?>
					</div>
					<div>
						<?php
							foreach ($users as $user) {
							if ( $user->showOnline > 0 ){ ?>
							<div class="online_hor">
							<div class="online_avatar">
								<?php
									if ($user->id == 0) {
										$class = 'online_guest';
									} else if (CKunenaTools::isAdmin ( $user->id )) {
										$class = 'online_admin';
									} else if (CKunenaTools::isModerator ( $user->id, true )) {
										$class = 'online_globalmoderator';
									} else if (CKunenaTools::isModerator ( $user->id )) {
										$class = 'online_moderator';
									} else {
										$class = 'online_user';
									}
									$profile = KunenaFactory::getUser($user->id);
									$useravatar = $profile->getAvatarLink($class, 48, 48);
								?>
								<?php if ($this->params->get('showWoisonlineavatar') == 1) echo CKunenaLink::GetProfileLink(intval($user->id), $useravatar); ?>
							</div>
							<?php } ?>
							<?php if ( $user->showOnline > 0 ) { ?>
							<div class="online_username">
								<?php echo CKunenaLink::GetProfileLink ( intval($user->id)); ?>
							</div>
							</div>
							<?php } ?>
							 &nbsp;
							<?php }
							if (CKunenaTools::isModerator($this->my->id)) { ?>
							<div class="clr"></div>
							<div class="who-hidenusers">
							<span class="km"><?php echo JText::_('COM_KUNENA_HIDDEN_USERS'); ?>: </span><br />
							<?php
							foreach ($users as $user) {
							if ( CKunenaTools::isModerator($this->my->id) && $user->showOnline < 1 ) {
							echo CKunenaLink::GetProfileLink ( intval($user->id) ) ;?> &nbsp;
							<?php } } ?>
							</div> <?php } ?>
					</div>
					<div class="clr"></div>
					<div class="wholegend km">
						<span><?php echo JText::_('COM_KUNENA_LEGEND'); ?> :: </span>&nbsp;
						<span class = "kwho-admin" title = "<?php echo JText::_('COM_KUNENA_COLOR_ADMINISTRATOR'); ?>"> <?php echo JText::_('COM_KUNENA_COLOR_ADMINISTRATOR'); ?></span>,&nbsp;
						<span class = "kwho-globalmoderator" title = "<?php echo JText::_('COM_KUNENA_COLOR_GLOBAL_MODERATOR'); ?>"> <?php echo JText::_('COM_KUNENA_COLOR_GLOBAL_MODERATOR'); ?></span>,&nbsp;
						<span class = "kwho-moderator" title = "<?php echo JText::_('COM_KUNENA_COLOR_MODERATOR'); ?>"> <?php echo JText::_('COM_KUNENA_COLOR_MODERATOR'); ?></span>,&nbsp;
						<span class = "kwho-user" title = "<?php echo JText::_('COM_KUNENA_COLOR_USER'); ?>"> <?php echo JText::_('COM_KUNENA_COLOR_USER'); ?></span>,&nbsp;
						<span class = "kwho-guest" title = "<?php echo JText::_('COM_KUNENA_COLOR_GUEST'); ?>"> <?php echo JText::_('COM_KUNENA_COLOR_GUEST'); ?></span>
					</div>
					</dd>
					</dl>
				</li>
			</ul><div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php
}
?>
