<?php
/**
 * @version $Id: editavatar.php 2406 2010-05-04 06:16:56Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/
defined( '_JEXEC' ) or die();
$i=0;
JHTML::_('behavior.calendar');
?>
<form id="kform-ban" name="kformban" action="index.php" method="post">
 <div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon addban">
						<dt class="body">
							<span class = "ktitle kl"><?php echo $this->banInfo->id ? JText::_('COM_KUNENA_BAN_EDIT') : JText::_('COM_KUNENA_BAN_NEW' ); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="banhis_body"></a></dd>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums  addban">
				<li class="row banbody">
					<dl>
						<dt>
						 	<b><?php echo JText::_('COM_KUNENA_BAN_USERNAME'); ?></b> 
						</dt>
						<dd>
						 	<?php echo $this->escape($this->profile->username); ?> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
						 	<b><?php echo JText::_('COM_KUNENA_BAN_USERID'); ?></b> 
						</dt>
						<dd>
						 	<?php echo $this->escape($this->profile->userid); ?> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
						 	<b><?php echo JText::_('COM_KUNENA_BAN_BANLEVEL'); ?></b> 
						</dt>
						<dd>
						 	<?php
							// make the select list for the view type
								$block[] = JHTML::_('select.option', 0, JText::_('COM_KUNENA_BAN_BANLEVEL_KUNENA'));
								$block[] = JHTML::_('select.option', 1, JText::_('COM_KUNENA_BAN_BANLEVEL_JOOMLA'));
							// build the html select list
								echo JHTML::_('select.genericlist', $block, 'block', 'class="inputbox" size="1"', 'value', 'text', $this->baninfo->blocked);
							?> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
						 	<b><?php echo JText::_('COM_KUNENA_BAN_EXPIRETIME'); ?></b><br />
							<span class="ks"><?php echo JText::_('COM_KUNENA_BAN_STARTEXPIRETIME_DESC'); ?></span>
						</dt>
						<dd>
							<input class="inputbox" type="text" maxlength="15" name="expiration" id="expiration" value="<?php echo $this->baninfo->expiration ?>" />
							<img src="templates/system/images/calendar.png" alt="Calendar" onclick="showCalendar('expiration','%Y-%m-%d');$('expiration').removeProperty('style');" />
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_BAN_PUBLICREASON'); ?></b><br />
							<span class="ks"><?php echo JText::_('COM_KUNENA_BAN_PUBLICREASON_DESC'); ?></span> 
						</dt>
						<dd>
						 	<textarea class=" required" name="reason_public" id="reason_public" ><?php echo $this->escape($this->baninfo->reason_public) ?></textarea> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_BAN_PRIVATEREASON'); ?></b><br />
							<span class="ks"><?php echo JText::_('COM_KUNENA_BAN_PRIVATEREASON_DESC'); ?></span> 
						</dt>
						<dd>
						 	<textarea class="required" name="reason_private" id="reason_private"><?php echo $this->escape($this->baninfo->reason_private) ?></textarea> 
						</dd>
					</dl>				
				</li>				
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_BAN_ADDCOMMENT'); ?></b><br />
							<span class="ks"><?php echo JText::_('COM_KUNENA_BAN_ADDCOMMENT_DESC'); ?></span>
						</dt>
						<dd>
						 	<textarea class="required" name="comment" id="comment"></textarea> 
						</dd>
					</dl>				
				</li>
				<?php if($this->banInfo->id): ?>
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_MODERATE_REMOVE_BAN'); ?></b>
						</dt>
						<dd>
						 	<input type="checkbox" id="ban-delban" name="delban" value="delban" class="" /> 
						</dd>
					</dl>				
				</li>
				<?php endif; ?>
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_MODERATE_DELETE_BAD_SIGNATURE'); ?></b>
						</dt>
						<dd>
						 	<input type="checkbox" id="ban-delsignature" name="delsignature" value="delsignature" class="" /> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_MODERATE_DELETE_BAD_AVATAR'); ?></b>
						</dt>
						<dd>
						 	<input type="checkbox" id="ban-delavatar" name="delavatar" value="delavatar" /> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_MODERATE_DELETE_BAD_PROFILEINFO'); ?></b>
						</dt>
						<dd>
						 	<input type="checkbox" id="ban-delprofileinfo" name="delprofileinfo" value="delprofileinfo" /> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
							<b><?php echo JText::_('COM_KUNENA_MODERATE_DELETE_ALL_POSTS'); ?></b>
						</dt>
						<dd>
						 	<input type="checkbox" id="ban-delposts" name="bandelposts" value="bandelposts" /> 
						</dd>
					</dl>				
				</li>
				<li class="row banbody">
					<dl>
						<dt>
							&nbsp;
						</dt>
						<dd>
							<input class="kbutton kbutton ks" type="submit" value="<?php echo $this->banInfo->id ? JText::_('COM_KUNENA_BAN_EDIT') : JText::_('COM_KUNENA_BAN_NEW' ); ?>" name="Submit" />
							<input type="hidden" name="option" value="com_kunena" />
							<input type="hidden" name="func" value="profile" />
							<input type="hidden" name="do" value="ban" />
							<input type="hidden" name="userid" value="<?php echo $this->escape($this->profile->userid); ?>" />
						</dd>
					</dl>
				</li>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
</form>
