<?php
/**
 * @version $Id: edituser.php 2257 2010-04-13 07:38:30Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/
defined( '_JEXEC' ) or die();
$kunena_config =& CKunenaConfig::getInstance();
?>
 <div class="forumlist tk-edituser">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon tk-edituser">
						<dt class="body">
							<span class = "ktitle kl"><?php echo JText::_('COM_KUNENA_PROFILE_EDIT_USER_TITLE') ?></span>
						</dt>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums edituser">
				<li class="row">
					<dl>
						<dt class="tk-user-first">
						 	<b><?php echo JText::_( 'COM_KUNENA_UNAME' ); ?></b> 
						</dt>
						<dd class="tk-user-last">
						 	<input type="text" name="username" value="<?php echo $this->user->get('username');?>" <?php echo !$this->config->usernamechange ? 'disabled="disabled" ' : ''?> />
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
						 	<b><?php echo JText::_( 'COM_KUNENA_USRL_NAME' ); ?></b> 
						</dt>
						<dd class="tk-user-last">
						 	<input class="inputbox required" type="text" id="name" name="name" value="<?php echo $this->escape($this->user->get('name'));?>" size="40" />
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
						 	<b><?php echo JText::_( 'COM_KUNENA_USRL_EMAIL' ); ?></b> 
						</dt>
						<dd class="tk-user-last">
						 	<input class="inputbox required validate-email" type="text" id="email" name="email" value="<?php echo $this->escape($this->user->get('email'));?>" size="40" />
						</dd>
					</dl>
				</li>
				<?php if($this->user->get('password')) : ?>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
						 	<b><?php echo JText::_( 'COM_KUNENA_PASS' ); ?></b> 
						</dt>
						<dd class="tk-user-last">
							<input class="inputbox validate-password" type="password" id="password" name="password" value="" size="40" />
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
						 	<b><?php echo JText::_( 'COM_KUNENA_VPASS' ); ?></b> 
						</dt>
						<dd class="tk-user-last">
						 	<input class="inputbox validate-passverify" type="password" id="password2" name="password2" value="" size="40" />
						</dd>
					</dl>
				</li>
				<?php endif; ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>

<?php if(!empty($this->userparams)) : ?>
 <div class="forumlist tk-edituser">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon tk-edituser">
						<dt class="body">
							<span class = "ktitle kl"><?php echo JText::_('Global Settings'); ?></span>
						</dt>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums edituser">
			<?php $i=0; foreach ($this->userparams as $userparam): ?>
				<li class="row">
					<dl>
						<dt class="tk-user-first">
							<label for="params<?php echo $userparam[5] ?>" title="<?php echo $userparam[2] ?>">
								<?php echo $userparam[0] ?>
							</label>
						</dt>
						<dd class="tk-user-last">
						 	<?php echo $userparam[1] ?>
						</dd>
					</dl>
				</li>
			<?php endforeach; ?>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>
