<?php
/**
 * @version $Id: summary.php 2258 2010-04-13 07:41:48Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 **/
defined( '_JEXEC' ) or die();
JHTML::_('behavior.calendar');
JHTML::_('behavior.tooltip');
$document = JFactory::getDocument ();
$document->addScriptDeclaration ( "window.addEvent('domready', function(){ $$('dl.tabs').each(function(tabs){ new KunenaTabs(tabs); }); });" );
$private = KunenaFactory::getPrivateMessaging();
if ($this->my->id == $this->user->id) {
	$PMCount = $private->getUnreadCount($this->my->id);
	$PMlink = $private->getInboxLink($PMCount ? JText::sprintf('COM_KUNENA_PMS_INBOX_NEW', $PMCount) : JText::_('COM_KUNENA_PMS_INBOX'));
} else {
	$PMlink = $this->profile->profileIcon('private');
}
?>
<div class="forumlist tk-profile-sommary">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon profilesommary">
						<dt>
							<span class="ktitle kl">
							<?php echo JText::_('COM_KUNENA_USER_PROFILE'); ?> <?php echo $this->name; ?></span>
							<?php if (!empty($this->editlink)) echo '<span style="float:right">'.$this->editlink.'</span>';?>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="profilesommary_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<div id="profilesommary_tbody">
			<ul class="topiclist forums">
				<li class="rowfull">
					<dl class="icon profile-sommary">
					<dt></dt>
					<dd class="tk-profile-avatar">
						<div id="kprofile-container">
							<div id="kprofile-leftcol">
								<?php if ($this->avatarlink) : ?>
								<div class="avatar-lg"><?php echo $this->avatarlink; ?></div>
								<?php endif; ?>
								<?php if (!empty($this->rank_title)): ?><div><strong><?php echo JText::_('COM_KUNENA_MYPROFILE_RANK'); ?>: </strong><?php echo $this->rank_title; ?></div><?php endif; ?>
								<?php if (!empty($this->rank_image)): ?><div class="kprofile-rank"><?php echo $this->rank_image; ?></div><?php endif; ?>
							</div>
						</div>
					</dd>
					<dd class="tk-profile-info">
						<div id="kprofile-stats">
							<ul>
								<!--<li><span class="buttononline-<?php echo $this->online ? 'yes':'no'; ?> btn-left"><span class="online-<?php echo $this->online ? 'yes':'no'; ?>"><span><?php echo $this->online ? 'NOW ONLINE' : 'OFFLINE'; ?></span></span></span></li>-->
								<!-- Check this: -->
								<?php if (!empty($this->usertype)): ?>
								<li class="usertype">
									<?php echo $this->usertype; ?>
								</li>
								<?php endif; ?>
								<!-- The class on the span below should be rank then hyphen then the rank name -->
								<?php if (!empty($this->registerdate)): ?>
								<li>
									<strong><?php echo JText::_('COM_KUNENA_MYPROFILE_REGISTERDATE'); ?>:</strong>
									<span title="<?php echo CKunenaTimeformat::showDate($this->registerdate, 'ago', 'utc'); ?>"><?php echo CKunenaTimeformat::showDate($this->registerdate, 'date_today', 'utc'); ?></span>
								</li>
								<?php endif; ?>
								<?php if (!empty($this->lastvisitdate)): ?>
								<li>
									<strong><?php echo JText::_('COM_KUNENA_MYPROFILE_LASTVISITDATE'); ?>:</strong>
									<span title="<?php echo CKunenaTimeformat::showDate($this->lastvisitdate, 'ago', 'utc'); ?>"><?php echo CKunenaTimeformat::showDate($this->lastvisitdate, 'date_today', 'utc'); ?></span>
								</li>
								<?php endif; ?>
								<li>
									<strong><?php echo JText::_('COM_KUNENA_MYPROFILE_TIMEZONE'); ?>:</strong> GMT <?php echo CKunenaTimeformat::showTimezone($this->timezone); ?>
								</li>
								<li>
									<strong><?php echo JText::_('COM_KUNENA_MYPROFILE_LOCAL_TIME'); ?>:</strong> <?php echo CKunenaTimeformat::showDate('now', 'time', 'utc', $this->timezone); ?>
								</li>
								<?php if (!empty($this->posts)): ?>
								<li>
									<strong><?php echo JText::_('COM_KUNENA_MYPROFILE_POSTS'); ?>:</strong> <?php echo $this->posts; ?>
								</li>
								<?php endif; ?>
								<!-- Profile view*s*? -->
								<li>
									<strong><?php echo JText::_('COM_KUNENA_MYPROFILE_PROFILEVIEW'); ?>:</strong> <?php echo $this->profile->uhits; ?>
								</li>
								<?php if ( !empty($this->banReason) ) { ?>
								<li>
									<strong><?php echo JText::_('COM_KUNENA_MYPROFILE_BANINFO'); ?>:</strong> <?php echo $this->escape($this->banReason); ?>
								</li>
								<?php } ?>
							</ul>
						</div>
					</dd>
					<dd class="tk-profile-contact">
						<ul>
							<li>
								<span class="location"></span><strong><?php echo JText::_('COM_KUNENA_MYPROFILE_LOCATION'); ?>:</strong> <?php echo $this->locationlink; ?>
							</li>
							<!--  The gender determines the suffix on the span class- gender-male & gender-female  -->
							<li>
								<span class="gender-<?php echo $this->genderclass; ?>"></span><strong><?php echo JText::_('COM_KUNENA_MYPROFILE_GENDER'); ?>:</strong> <?php echo $this->gender; ?>
							</li>
							<li>
								<span class="birthdate"></span><strong><?php echo JText::_('COM_KUNENA_MYPROFILE_BIRTHDATE'); ?>:</strong>
								<span title="<?php echo CKunenaTimeformat::showDate($this->profile->birthdate, 'ago', 'utc', 0); ?>"><?php echo CKunenaTimeformat::showDate($this->profile->birthdate, 'date', 'utc', 0); ?></span>
							<!--  <a href="#" title=""><span class="bday-remind"></span></a> -->
							</li>
							<?php if ($this->config->showemail && (!$this->profile->hideEmail || CKunenaTools::isModerator($this->my->id))): ?>
							<li>
								<span class="email"></span>
								<strong><?php echo JText::_('E-mail'); ?>:</strong> <a href="mailto:<?php echo $this->escape($this->user->email); ?>"><?php echo $this->escape($this->user->email); ?></a>
							</li>
							<?php endif; ?>
							<li>
								<span class="website"></span>
								<strong><?php echo JText::_('Web Site'); ?>:</strong> <a href="http://<?php echo $this->escape($this->profile->websiteurl); ?>" target="_blank"><?php echo KunenaParser::parseText($this->profile->websitename); ?></a>
							</li>
							<li><?php echo $this->displayKarma(); ?></li>
					<?php if ($PMlink) {
							?>
						<li><?php echo $PMlink; ?></li>
					<?php  } ?>
						</ul><br />

						<div class="social-buttons">
							<?php CKunenaTools::loadTemplate('/profile/socialbuttons.php'); ?>
						</div>
					</dd>
					<dd>
						<?php if (!empty($this->usermedals)) : ?><?php foreach ( $this->usermedals as $medal ) : echo $medal,' '; endforeach ?><?php endif ?>
					</dd>
					</dl>
					</li>
				</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
			</div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php $this->displayTab(); ?>
