<?php
/**
 * @version $Id: rules.php 1973 2010-02-22 18:33:44Z fxstein $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/

// Dont allow direct linking
defined ( '_JEXEC' ) or die ();

$kunena_config = KunenaFactory::getConfig ();
$document = JFactory::getDocument ();
$document->setTitle ( JText::_('COM_KUNENA_GEN_RULES') . ' - ' . $kunena_config->board_title );
$introtext = CKunenaTools::getRulesHelpDatas($kunena_config->rules_cid);
?>

<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon rules">
						<dt>
							<span class="ktitle kl">
								<?php echo JText::_('COM_KUNENA_FORUM_RULES'); ?>
							</span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="rules_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="rules_tbody" class="topiclist forums">
				<li class="rowfull">
					<dl class="icon rules">
						<dt class="body">
							<?php echo $introtext; ?>
						</dt>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon forumjump">
						<dt>
							<span class="ktitle kl">
								<?php echo JText::_('COM_KUNENA_FORUM_TOP'); ?>
							</span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="goto_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="goto_tbody" class="topiclist forums">
				<li class="rowfull">
					<dl class="icon jump">
						<dt class="body">
							<?php if ($kunena_config->enableforumjump) CKunenaTools::loadTemplate('/forumjump.php') ?>
						</dt>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
