<?php
/**
 * @version $Id: search.php 1890 2010-02-04 23:24:48Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on Fireboard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/

defined ( '_JEXEC' ) or die ();

if (empty ( $this->q ) && empty ( $this->quser )) {
	return;
}
?>
 <div class="forumlist tk-search">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon advsearch">
						<dt>
							<span class="ktitle kl"><?php echo JText::_('COM_KUNENA_SEARCH_RESULTS'); ?></span>
						</dt>
						<dd class="fltrt"><span><?php printf ( JText::_('COM_KUNENA_FORUM_SEARCH'), $this->escape($this->q) ); ?></span></dd>
					</dl>
				</li>
			</ul>
			<ul id="" class="topiclist forums">
			<?php
				$k = 0;
					if ($this->total == 0 && $this->int_kunena_errornr) {
						echo '<ul id="" class="topiclist forums" style=""><li colspan="3" style="text-align:center;font-weight:bold">' . $this->escape($this->str_kunena_errormsg) . '</li></ul>';
					}
					foreach ( $this->results as $result ) { ?>
				<li class="row search">
					<dl>
					<dt class="tk-result-topic">
						<span class="tk-result-topic">
							<?php echo CKunenaLink::GetThreadPageLink ( 'view', intval($result->catid), intval($result->id), NULL, NULL, $result->htmlsubject, intval($result->id) )?>
						</span>
						<span class="tk-result-date">
							<?php echo CKunenaTimeformat::showDate ( $result->time )?>
						</span>
						<br />
						<span class="search-category">
							<?php echo JText::_('COM_KUNENA_CATEGORY') . ' ' . CKunenaLink::GetCategoryLink ( 'showcat', intval($result->catid), $this->escape($result->catname), $rel = 'follow', $class = '', $title = '' )?>
						</span>
						<?php echo $result->htmlmessage ?>
						<br />	
					</dt>
					<dd class="tk-search-users">
						<div>
							<?php echo $this->escape( $result->name )?>
						</div>
					</dd>
					</dl>
				</li>
				<?php } ?>
			</ul>
			<ul>
				<li class="tk-search-pagination">
					<span class="tk-search-result">
					<?php
						$resStart = $this->limitstart + 1;
						$resStop = $this->limitstart + count ( $this->results );
						if ($resStart < $resStop)
							$resStartStop = ( string ) ($resStart) . ' - ' . ( string ) ($resStop);
						else
							$resStartStop = '0';
						printf ( JText::_('COM_KUNENA_FORUM_SEARCHRESULTS'), $resStartStop, $this->total );
					?>
					</span>
					<?php if ($this->total > $this->limit) { ?>
						<span class="tk-search-pag">
							<?php echo $this->pagination; ?>
						</span>
					<?php } ?>
				</li>
			</ul>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>


