<?php
/**
 * @version $Id: flat.php 2025 2010-03-06 01:41:58Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/

// Dont allow direct linking
defined( '_JEXEC' ) or die();

global $kunena_icons, $topic_emoticons;

// url of current page that user will be returned to after bulk operation
$kuri = JURI::getInstance ();
$Breturn = $kuri->toString ( array ('path', 'query', 'fragment' ) );
$this->app->setUserState( "com_kunena.ActionBulk", JRoute::_( $Breturn ) );
	?>
<form action="index.php" method="post" name="kBulkActionForm">
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
		<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon flat<?php if ($this->func == 'mylatest'): echo 'myrecent'; endif; ?>">
						<dt><span class="ktitle kl"><?php if (!empty($this->header)) echo $this->escape($this->header); ?></span></dt>
						<dd class="topics"><?php echo JText::_('COM_KUNENA_DISCUSSIONS'); ?></dd>
						<dd class="posts"><?php echo JText::_('COM_KUNENA_MY_POSTS'); ?></dd>
						<dd class="lastpost" style="width:27%;"><span><?php echo JText::_('COM_KUNENA_GEN_LAST_POST');?></span></dd>
						<?php if (CKunenaTools::isModerator($this->my->id)) { ?>
						<?php } ?>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums">
				<?php
					$k = 0;
					$counter = 0;
					if (!count ( $this->categories ) ) {
						echo '<ul class="topiclist forums"><li class="row" style="text-align:center; padding:20px; color:red;">' . JText::_('COM_KUNENA_CATEGORY_SUBSCRIPTIONS_NONE') . '</li></ul>';
					} else
					foreach ( $this->categories as $leaf ) : ?>
				<li class="row">
					<dl class="icon">
						<dt class="topics" style="padding-left:10px;margin-right:35px;">
						<span class ="threadtitle">
							<?php echo CKunenaLink::GetCategoryPageLink('showcat', intval($leaf->catid), 1, $this->escape($leaf->catname), 'follow', 'ktopic-title km' ) ?>
						</span>
						<br /><span class="tk-unsubscribe kbuttonuser" style="clear:left; color:<?php echo $this->params->get('buttonusertextColor'); ?>!important;"><?php echo CKunenaLink::GetCategoryActionLink ( 'unsubscribecat', $leaf->catid, JText::_('COM_KUNENA_BUTTON_UNSUBSCRIBE_CATEGORY'), 'nofollow', '', JText::_('COM_KUNENA_BUTTON_UNSUBSCRIBE_CATEGORY_LONG'), '&userid='.$this->my->id ); ?></span>
						</dt>
						<?php if ($this->func != 'profile'):?>
						<dd class="topics">
							<span>
							<?php echo CKunenaTools::formatLargeNumber ( ( int ) $leaf->numTopics );?>
							</span>
						</dd>
						<?php endif; ?>
						<dd class="views">
							<span>
								<?php echo CKunenaTools::formatLargeNumber ( ( int ) $leaf->numPosts ); ?>
							</span>
						</dd>
						<dd class="lastpost" style="width:27%;">
						<?php
							if ($this->config->avataroncat > 0) :
								$profile = KunenaFactory::getUser((int)$leaf->userid);
								$useravatar = $profile->getAvatarLink('klist-avatar');
							if ($useravatar) :
						?>
						<span class="topic_latest_post_avatar">
							<?php echo CKunenaLink::GetProfileLink ( intval($leaf->userid), $useravatar ); ?>
						</span>
						<?php endif;
							endif; ?>
						<span>
							<?php
								if ($this->config->default_sort == 'asc') {
									$threadPages = ceil ( $leaf->msgcount / $this->config->messages_per_page );
									echo CKunenaLink::GetThreadPageLink ( 'view', intval($leaf->catid), intval($leaf->thread), $threadPages, intval($this->config->messages_per_page), KunenaParser::parseText(substr(( $leaf->subject ), 0, 20)." ..."), intval($leaf->id_last_msg))."&nbsp;&nbsp;";
									echo CKunenaLink::GetThreadPageLink ( 'view', intval($leaf->catid), intval($leaf->thread), $threadPages, intval($this->config->messages_per_page), '<img class="" src="' . KUNENA_URLICONSPATH . 'icon_topic_latest.gif" border="0" alt="' . JText::_('COM_KUNENA_SHOW_LAST') . '" title="' . JText::_('COM_KUNENA_SHOW_LAST') . '"/>', intval($leaf->id_last_msg), $rel='follow');
								} else {
									echo CKunenaLink::GetThreadPageLink ( 'view', intval($leaf->catid), intval($leaf->thread), $threadPages, intval($this->config->messages_per_page), KunenaParser::parseText(substr(( $leaf->subject ), 0, 20)." ..."), intval($leaf->id_last_msg))."&nbsp;&nbsp;";
									echo CKunenaLink::GetThreadPageLink ( 'view', intval($leaf->catid), intval($leaf->thread), $threadPages, intval($this->config->messages_per_page), '<img class="" src="' . KUNENA_URLICONSPATH . 'icon_topic_latest.gif" border="0" alt="' . JText::_('COM_KUNENA_SHOW_LAST') . '" title="' . JText::_('COM_KUNENA_SHOW_LAST') . '"/>', intval($leaf->id_last_msg), $rel='follow');
								}
								if ($leaf->uname) echo '<br />' . JText::_('COM_KUNENA_GEN_BY') . ' ' . CKunenaLink::GetProfileLink ( intval($leaf->userid), $this->escape($leaf->uname), '', 'nofollow' );
							?>
						</span>
						<br />
						<span class="topic_date" title="<?php echo CKunenaTimeformat::showDate($this->lastreply [$leaf->thread]->time, 'config_post_dateformat_hover'); ?>">
							<?php echo CKunenaTimeformat::showDate($leaf->time, 'config_post_dateformat'); ?>
						</span>
						</dd>
					</dl>
				</li>
				<?php endforeach; ?>
			</ul><div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
			<span class="corners-bottom"><span></span></span>
		</div>
	</div>
<input type="hidden" name="option" value="com_kunena" />
<input type="hidden" name="func" value="bulkactions" />
</form>
