<?php
/**
 * @version $Id: latestx.php 1890 2010-02-04 23:24:48Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/
// Dont allow direct linking
defined ( '_JEXEC' ) or die ();
?>

<?php
$this->displayAnnouncement ();
?>
<?php if (JDocumentHTML::countModules ( 'kunena_announcement' )) : ?>
<div class="forumlist">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon annbox">
						<dt>
							<span class="ktitle kl"><?php echo JText::_('COM_KUNENA_ANN_ANNOUNCEMENTS'); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler close" rel="announcement_tbody"></a></dd>
					</dl>
				</li>
			</ul>
			<ul id="announcement_tbody" class="topiclist forums">
				<li class="row">
					<dl class="icon">
						<dt></dt>
						<dd class="first tk-banner">
							<?php
								CKunenaTools::showModulePosition ( 'kunena_announcement' );
							?>
						</dd>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
<?php endif; ?>
<?php
if (count ( $this->threadids ) > 0) :
	$this->displayFlat ();
	?>
<?php endif; ?>
<!-- B: List Actions -->
<div class="forumlist tk-clear tk-latestx">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
		<div class="body-top1"><div class="body-top2"><div class="body-top3"><div class="body-top4"></div></div></div></div>
			<ul class="topiclist forums">
				<li class="rowfull tk-latestx">
					<dl class="icon">
					<?php if ($this->func != 'mylatest' && $this->func != 'noreplies') : ?>
						<dt style="">
							<?php echo JText::_('COM_KUNENA_PROFILEBOX_SHOW_LATEST_POSTS'); ?>
						</dt>
						<dd class="tk-selecttime">
			<form id="timeselect" name="timeselect" method="post" target="_self" action="<?php echo $this->escape(JURI::getInstance()->toString());?>">
			<?php
			// make the select list for time
			$timesel[] = JHTML::_('select.option', 0, JText::_('COM_KUNENA_SHOW_LASTVISIT'));
			$timesel[] = JHTML::_('select.option', 4, JText::_('COM_KUNENA_SHOW_4_HOURS'));
			$timesel[] = JHTML::_('select.option', 8, JText::_('COM_KUNENA_SHOW_8_HOURS'));
			$timesel[] = JHTML::_('select.option', 12, JText::_('COM_KUNENA_SHOW_12_HOURS'));
			$timesel[] = JHTML::_('select.option', 24, JText::_('COM_KUNENA_SHOW_24_HOURS'));
			$timesel[] = JHTML::_('select.option', 48, JText::_('COM_KUNENA_SHOW_48_HOURS'));
			$timesel[] = JHTML::_('select.option', 168, JText::_('COM_KUNENA_SHOW_WEEK'));
			$timesel[] = JHTML::_('select.option', 720, JText::_('COM_KUNENA_SHOW_MONTH'));
			$timesel[] = JHTML::_('select.option', 8760, JText::_('COM_KUNENA_SHOW_YEAR'));
			// build the html select list
			echo JHTML::_('select.genericlist', $timesel, 'sel', 'class="inputboxusl" onchange="this.form.submit()" size="1"', 'value', 'text', $this->escape($this->show_list_time));
			?>
			</form>
						</dd>
					<?php endif; ?>
						<dd class="tk-pagination">
							<span class="tk-total">
								<strong><?php echo $this->total?></strong> <?php echo $this->mode=='posts' ? $this->header : JText::_('COM_KUNENA_DISCUSSIONS')?>
							</span>
							<?php
							//pagination 1
							if (count ( $this->messages ) > 0) :
								echo '<span class="klist-pages-all">';
								$maxpages = 5 - 2; // odd number here (# - 2)
								echo $pagination = $this->getPagination ( $this->func, $this->show_list_time, $this->page, $this->totalpages, $maxpages );
								echo '</span';
							endif; ?>
						</dd>
					</dl>
				</li>
			</ul>
		<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>

<?php
$this->displayWhoIsOnline ();
$this->displayStats ();
?>
